GNU bug report logs - #49347
image-save not working as expected for transformed image saving!

Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.

Package: emacs; Reported by: Omar Elashkar <omar.i.elashkar@HIDDEN>; merged with #44172; dated Sat, 3 Jul 2021 03:53:02 UTC; Maintainer for emacs is bug-gnu-emacs@HIDDEN.

Message received at 49347 <at> debbugs.gnu.org:


Received: (at 49347) by debbugs.gnu.org; 4 Jul 2021 14:07:21 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Jul 04 10:07:21 2021
Received: from localhost ([127.0.0.1]:42951 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1m02mG-0001GO-Ua
	for submit <at> debbugs.gnu.org; Sun, 04 Jul 2021 10:07:21 -0400
Received: from eggs.gnu.org ([209.51.188.92]:38186)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <eliz@HIDDEN>) id 1m02mF-0001G9-9A
 for 49347 <at> debbugs.gnu.org; Sun, 04 Jul 2021 10:07:20 -0400
Received: from fencepost.gnu.org ([2001:470:142:3::e]:42342)
 by eggs.gnu.org with esmtp (Exim 4.90_1)
 (envelope-from <eliz@HIDDEN>)
 id 1m02mA-0000bf-1U; Sun, 04 Jul 2021 10:07:14 -0400
Received: from 84.94.185.95.cable.012.net.il ([84.94.185.95]:4043
 helo=home-c4e4a596f7)
 by fencepost.gnu.org with esmtpsa (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <eliz@HIDDEN>)
 id 1m02m9-0004R3-MB; Sun, 04 Jul 2021 10:07:14 -0400
Date: Sun, 04 Jul 2021 17:07:15 +0300
Message-Id: <83y2amgoks.fsf@HIDDEN>
From: Eli Zaretskii <eliz@HIDDEN>
To: Lars Ingebrigtsen <larsi@HIDDEN>
In-Reply-To: <87im1q42fl.fsf@HIDDEN> (message from Lars Ingebrigtsen on Sun, 
 04 Jul 2021 15:46:22 +0200)
Subject: Re: bug#49347: image-save not working as expected for transformed
 image saving!
References: <CAFtvpMSDP9VRKpYmyCbW9jifWUFWCH7fSsuOsMndPMsU+B4usQ@HIDDEN>
 <83tulbj4p8.fsf@HIDDEN>
 <CAFtvpMQxus01ehf+x_rNbSgyf2eNZ4CODvJNtnC4Jixizf6KkA@HIDDEN>
 <83r1gfj3o6.fsf@HIDDEN> <87im1q42fl.fsf@HIDDEN>
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 49347
Cc: 49347 <at> debbugs.gnu.org, omar.i.elashkar@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

> From: Lars Ingebrigtsen <larsi@HIDDEN>
> Cc: Omar Elashkar <omar.i.elashkar@HIDDEN>,  49347 <at> debbugs.gnu.org
> Date: Sun, 04 Jul 2021 15:46:22 +0200
> 
> Eli Zaretskii <eliz@HIDDEN> writes:
> 
> >> 1. Open image in image-mode
> >> 2. rotate the image and resize it.
> >> 3. run image-save to save the transformed image.
> >> 
> >> Expected: find the saved image to be the transformed one.
> >> What happens: the image found is the old original one!
> 
> Emacs can't current export the "real" image data -- see bug#44172 (which
> I've now merged with this one).  It's not quite clear how to proceed
> with that bug report, because we leave the transforms to the OS, so
> Emacs doesn't have easy access to the actual displayed image data.

Maybe just document the limitation for now?




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#49347; Package emacs. Full text available.
Forcibly Merged 44172 49347. Request was from Lars Ingebrigtsen <larsi@HIDDEN> to control <at> debbugs.gnu.org. Full text available.

Message received at 49347 <at> debbugs.gnu.org:


Received: (at 49347) by debbugs.gnu.org; 4 Jul 2021 13:46:34 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Jul 04 09:46:34 2021
Received: from localhost ([127.0.0.1]:40597 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1m02SA-0005LE-9U
	for submit <at> debbugs.gnu.org; Sun, 04 Jul 2021 09:46:34 -0400
Received: from quimby.gnus.org ([95.216.78.240]:47124)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <larsi@HIDDEN>) id 1m02S7-0005El-Qm
 for 49347 <at> debbugs.gnu.org; Sun, 04 Jul 2021 09:46:33 -0400
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; d=gnus.org;
 s=20200322; h=Content-Type:MIME-Version:Message-ID:In-Reply-To:Date:
 References:Subject:Cc:To:From:Sender:Reply-To:Content-Transfer-Encoding:
 Content-ID:Content-Description:Resent-Date:Resent-From:Resent-Sender:
 Resent-To:Resent-Cc:Resent-Message-ID:List-Id:List-Help:List-Unsubscribe:
 List-Subscribe:List-Post:List-Owner:List-Archive;
 bh=9ZKmpXZ2lHPFfxHw+7+we0yqfYEa04BA50GcU7fKCiY=; b=VCCqdDUVmFMJUNBg8UcXiN6oBR
 64NyroIJpbq+YyPX5ecBVMpQYvMnPolSx9UG+r9vpCEXMmuh5GqDt4PJ13oxM+gdRw06jYZOIdNRc
 2X+xUCtSA1Dc0/QTUPJ9YPqNlDTjwEoxxAlushigHV97k8VXJ0Gxm6NsCtndYEINXc8c=;
Received: from cm-84.212.220.105.getinternet.no ([84.212.220.105] helo=elva)
 by quimby.gnus.org with esmtpsa (TLS1.3:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.92) (envelope-from <larsi@HIDDEN>)
 id 1m02Rz-0000rc-05; Sun, 04 Jul 2021 15:46:25 +0200
From: Lars Ingebrigtsen <larsi@HIDDEN>
To: Eli Zaretskii <eliz@HIDDEN>
Subject: Re: bug#49347: image-save not working as expected for transformed
 image saving!
References: <CAFtvpMSDP9VRKpYmyCbW9jifWUFWCH7fSsuOsMndPMsU+B4usQ@HIDDEN>
 <83tulbj4p8.fsf@HIDDEN>
 <CAFtvpMQxus01ehf+x_rNbSgyf2eNZ4CODvJNtnC4Jixizf6KkA@HIDDEN>
 <83r1gfj3o6.fsf@HIDDEN>
X-Now-Playing: Kissing the Pink's _Naked_: "Watching Their Eyes"
Date: Sun, 04 Jul 2021 15:46:22 +0200
In-Reply-To: <83r1gfj3o6.fsf@HIDDEN> (Eli Zaretskii's message of "Sat, 03 Jul
 2021 09:46:01 +0300")
Message-ID: <87im1q42fl.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/28.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Report: Spam detection software, running on the system "quimby.gnus.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 @@CONTACT_ADDRESS@@ for details.
 Content preview: Eli Zaretskii <eliz@HIDDEN> writes: >> 1. Open image in
 image-mode
 >> 2. rotate the image and resize it. >> 3. run image-save to save the
 transformed
 image. >> >> Expected: find the saved image to be the transformed one. >>
 What happens [...] 
 Content analysis details:   (-2.9 points, 5.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -1.0 ALL_TRUSTED            Passed through trusted hosts only via SMTP
 -1.9 BAYES_00               BODY: Bayes spam probability is 0 to 1%
 [score: 0.0000]
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 49347
Cc: 49347 <at> debbugs.gnu.org, Omar Elashkar <omar.i.elashkar@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

Eli Zaretskii <eliz@HIDDEN> writes:

>> 1. Open image in image-mode
>> 2. rotate the image and resize it.
>> 3. run image-save to save the transformed image.
>> 
>> Expected: find the saved image to be the transformed one.
>> What happens: the image found is the old original one!

Emacs can't current export the "real" image data -- see bug#44172 (which
I've now merged with this one).  It's not quite clear how to proceed
with that bug report, because we leave the transforms to the OS, so
Emacs doesn't have easy access to the actual displayed image data.

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#49347; Package emacs. Full text available.

Message received at 49347 <at> debbugs.gnu.org:


Received: (at 49347) by debbugs.gnu.org; 3 Jul 2021 06:46:10 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Jul 03 02:46:10 2021
Received: from localhost ([127.0.0.1]:37833 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1lzZPm-0001As-GE
	for submit <at> debbugs.gnu.org; Sat, 03 Jul 2021 02:46:10 -0400
Received: from eggs.gnu.org ([209.51.188.92]:51778)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <eliz@HIDDEN>) id 1lzZPk-0001AW-0d
 for 49347 <at> debbugs.gnu.org; Sat, 03 Jul 2021 02:46:08 -0400
Received: from fencepost.gnu.org ([2001:470:142:3::e]:35274)
 by eggs.gnu.org with esmtp (Exim 4.90_1)
 (envelope-from <eliz@HIDDEN>)
 id 1lzZPe-0004a9-E8; Sat, 03 Jul 2021 02:46:02 -0400
Received: from 84.94.185.95.cable.012.net.il ([84.94.185.95]:2313
 helo=home-c4e4a596f7)
 by fencepost.gnu.org with esmtpsa (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <eliz@HIDDEN>)
 id 1lzZPe-00062P-2H; Sat, 03 Jul 2021 02:46:02 -0400
Date: Sat, 03 Jul 2021 09:46:01 +0300
Message-Id: <83r1gfj3o6.fsf@HIDDEN>
From: Eli Zaretskii <eliz@HIDDEN>
To: Omar Elashkar <omar.i.elashkar@HIDDEN>
In-Reply-To: <CAFtvpMQxus01ehf+x_rNbSgyf2eNZ4CODvJNtnC4Jixizf6KkA@HIDDEN>
 (message from Omar Elashkar on Sat, 3 Jul 2021 15:38:49 +0900)
Subject: Re: bug#49347: image-save not working as expected for transformed
 image saving!
References: <CAFtvpMSDP9VRKpYmyCbW9jifWUFWCH7fSsuOsMndPMsU+B4usQ@HIDDEN>
 <83tulbj4p8.fsf@HIDDEN>
 <CAFtvpMQxus01ehf+x_rNbSgyf2eNZ4CODvJNtnC4Jixizf6KkA@HIDDEN>
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 49347
Cc: 49347 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

[Please always use Reply All to keep the bug address on the CC.]

Forwarding to the bug tracker:

> From: Omar Elashkar <omar.i.elashkar@HIDDEN>
> Date: Sat, 3 Jul 2021 15:38:49 +0900
> 
> 1. Open image in image-mode
> 2. rotate the image and resize it.
> 3. run image-save to save the transformed image.
> 
> Expected: find the saved image to be the transformed one.
> What happens: the image found is the old original one!




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#49347; Package emacs. Full text available.

Message received at 49347 <at> debbugs.gnu.org:


Received: (at 49347) by debbugs.gnu.org; 3 Jul 2021 06:23:53 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Jul 03 02:23:53 2021
Received: from localhost ([127.0.0.1]:37801 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1lzZ4D-0000cK-Gi
	for submit <at> debbugs.gnu.org; Sat, 03 Jul 2021 02:23:53 -0400
Received: from eggs.gnu.org ([209.51.188.92]:49434)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <eliz@HIDDEN>) id 1lzZ4B-0000c8-7U
 for 49347 <at> debbugs.gnu.org; Sat, 03 Jul 2021 02:23:51 -0400
Received: from fencepost.gnu.org ([2001:470:142:3::e]:34854)
 by eggs.gnu.org with esmtp (Exim 4.90_1)
 (envelope-from <eliz@HIDDEN>)
 id 1lzZ45-0003LC-V9; Sat, 03 Jul 2021 02:23:45 -0400
Received: from 84.94.185.95.cable.012.net.il ([84.94.185.95]:4763
 helo=home-c4e4a596f7)
 by fencepost.gnu.org with esmtpsa (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <eliz@HIDDEN>)
 id 1lzZ45-0000Er-Ig; Sat, 03 Jul 2021 02:23:45 -0400
Date: Sat, 03 Jul 2021 09:23:47 +0300
Message-Id: <83tulbj4p8.fsf@HIDDEN>
From: Eli Zaretskii <eliz@HIDDEN>
To: Omar Elashkar <omar.i.elashkar@HIDDEN>
In-Reply-To: <CAFtvpMSDP9VRKpYmyCbW9jifWUFWCH7fSsuOsMndPMsU+B4usQ@HIDDEN>
 (message from Omar Elashkar on Sat, 3 Jul 2021 12:28:54 +0900)
Subject: Re: bug#49347: image-save not working as expected for transformed
 image saving!
References: <CAFtvpMSDP9VRKpYmyCbW9jifWUFWCH7fSsuOsMndPMsU+B4usQ@HIDDEN>
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 49347
Cc: 49347 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

> From: Omar Elashkar <omar.i.elashkar@HIDDEN>
> Date: Sat, 3 Jul 2021 12:28:54 +0900

Thanks, but can you please describe the recipe to reproduce the
problem?  Your report seems to lack that.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#49347; Package emacs. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 3 Jul 2021 03:52:36 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Jul 02 23:52:36 2021
Received: from localhost ([127.0.0.1]:37591 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1lzWhl-00032J-A8
	for submit <at> debbugs.gnu.org; Fri, 02 Jul 2021 23:52:36 -0400
Received: from lists.gnu.org ([209.51.188.17]:50230)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <omar.i.elashkar@HIDDEN>) id 1lzWLD-0002Tm-F3
 for submit <at> debbugs.gnu.org; Fri, 02 Jul 2021 23:29:19 -0400
Received: from eggs.gnu.org ([2001:470:142:3::10]:58910)
 by lists.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <omar.i.elashkar@HIDDEN>)
 id 1lzWLB-0006EA-1C
 for bug-gnu-emacs@HIDDEN; Fri, 02 Jul 2021 23:29:14 -0400
Received: from mail-yb1-xb34.google.com ([2607:f8b0:4864:20::b34]:42559)
 by eggs.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_128_GCM_SHA256:128)
 (Exim 4.90_1) (envelope-from <omar.i.elashkar@HIDDEN>)
 id 1lzWL4-0001yh-Tz
 for bug-gnu-emacs@HIDDEN; Fri, 02 Jul 2021 23:29:12 -0400
Received: by mail-yb1-xb34.google.com with SMTP id o139so19522040ybg.9
 for <bug-gnu-emacs@HIDDEN>; Fri, 02 Jul 2021 20:29:06 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=mime-version:from:date:message-id:subject:to;
 bh=nX/4UyV1l6yWEPPynIWUqsTfggmC6Jw8TYjqOE1auZE=;
 b=rHvaEvPQy5QoGcDsCqAa0G7DofKETh9rfkjQLY09zbKhF8iL7/prAZrq/1meKAPkL2
 yBouVBTv1ykI3yife/w9DxQ3ohahinkqNnjw5Sg/zB0YkaWIXmUA8ArPEPyPNHR5IVk0
 oicClQE6nmkC5k6mG2RctZ4OxDSdQVaQ6V3O2nuLNqfGaNRv/PrS3wdHN2eJv6mDp5Tm
 ZjXkafZTBlldSZlEqNSBib8f6ITfPUX2djNucahQX+oa/m3CImQfBCgxxyXz0Z3j5gNJ
 zH52cXx6Zw50wHvcFqs7z3orAQvQ7iy7UMZGMQc3PiQtBOasHcjGo2xiZt3BanBTwh8B
 IkUA==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:mime-version:from:date:message-id:subject:to;
 bh=nX/4UyV1l6yWEPPynIWUqsTfggmC6Jw8TYjqOE1auZE=;
 b=o2F/BU9GIoxl5IzWxyNskatkzV7yVE2WrxyKPbC35dPbyf4Z9B8z2LmeFgsXOlcQsX
 qReo7LaTuD2NpEI/3D9B6wxO/P9EbF1OeGqoZWCUrfHKPab8gq1p2yOHRGa3A4Vmdjxp
 lPQS/yC3li0zOqnyKwcXtZlrcoC3js8pIVNtLZ0xxcBlGQ+boHcM6+6lkIFG2LXLfZiA
 F7W9ng3Wk3jsWABu/zJSZP9kvCEEfiPTmX/lYjiGWdNRec+hEOCQ4YLnScjge8L3bMcn
 xNGcmKuTrVB2ebLjS6yciROGsmWKGCcW0jG1UlQv+sTnU+HrLBrHXzjd2MICMbdILPQQ
 n+lA==
X-Gm-Message-State: AOAM533D6J6PUyr4JNCUxBT/Vy2/kb6vo/ixq5c3CpHyNVHVQlXw4i8t
 0zICjlAEdO20t/OPup2l/o2Y2sgASCKHQIftuupuatm4KksohA==
X-Google-Smtp-Source: ABdhPJy2asEbyDCcDH/amVyjY1G3EImdCjzZ/IJIMhfDWfFvs+nxtt3yikfkH8W7h/gHeQ40288T5XVBGDHTXF2P+U4=
X-Received: by 2002:a25:508e:: with SMTP id e136mr3074413ybb.275.1625282945429; 
 Fri, 02 Jul 2021 20:29:05 -0700 (PDT)
MIME-Version: 1.0
From: Omar Elashkar <omar.i.elashkar@HIDDEN>
Date: Sat, 3 Jul 2021 12:28:54 +0900
Message-ID: <CAFtvpMSDP9VRKpYmyCbW9jifWUFWCH7fSsuOsMndPMsU+B4usQ@HIDDEN>
Subject: image-save not working as expected for transformed image saving!
To: bug-gnu-emacs@HIDDEN
Content-Type: multipart/alternative; boundary="0000000000009f345905c62facc6"
Received-SPF: pass client-ip=2607:f8b0:4864:20::b34;
 envelope-from=omar.i.elashkar@HIDDEN; helo=mail-yb1-xb34.google.com
X-Spam_score_int: -20
X-Spam_score: -2.1
X-Spam_bar: --
X-Spam_report: (-2.1 / 5.0 requ) BAYES_00=-1.9, DKIM_SIGNED=0.1,
 DKIM_VALID=-0.1, DKIM_VALID_AU=-0.1, DKIM_VALID_EF=-0.1, FREEMAIL_FROM=0.001,
 HTML_MESSAGE=0.001, RCVD_IN_DNSWL_NONE=-0.0001, SPF_HELO_NONE=0.001,
 SPF_PASS=-0.001 autolearn=ham autolearn_force=no
X-Spam_action: no action
X-Spam-Score: -1.3 (-)
X-Debbugs-Envelope-To: submit
X-Mailman-Approved-At: Fri, 02 Jul 2021 23:52:28 -0400
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -2.3 (--)

--0000000000009f345905c62facc6
Content-Type: text/plain; charset="UTF-8"

In GNU Emacs 27.2 (build 1, x86_64-pc-linux-gnu, GTK+ Version 3.24.20,
cairo version 1.16.0)
 of 2021-06-04 built on lgw01-amd64-021
Repository revision: 482b9449d48c4be3af331ae6eb9e751ee4d9e2d6
Repository branch: master
Windowing system distributor 'The X.Org Foundation', version 11.0.12009000
System Description: Ubuntu 20.04.2 LTS

Configured using:
 'configure --prefix=/snap/emacs/current/usr --with-x-toolkit=gtk3
 --without-xaw3d --with-modules --with-cairo
 'CFLAGS=-isystem/build/emacs/parts/emacs/install/usr/include -O2'
 CPPFLAGS=-isystem/build/emacs/parts/emacs/install/usr/include
 'LDFLAGS=-L/build/emacs/parts/emacs/install/lib
 -L/build/emacs/parts/emacs/install/usr/lib
 -L/build/emacs/parts/emacs/install/lib/x86_64-linux-gnu
 -L/build/emacs/parts/emacs/install/usr/lib/x86_64-linux-gnu''

Configured features:
XPM JPEG TIFF GIF PNG RSVG CAIRO SOUND GPM DBUS GSETTINGS GLIB NOTIFY
INOTIFY ACL LIBSELINUX GNUTLS LIBXML2 FREETYPE HARFBUZZ M17N_FLT LIBOTF
ZLIB TOOLKIT_SCROLL_BARS GTK3 X11 XDBE XIM MODULES THREADS LIBSYSTEMD
JSON PDUMPER LCMS2 GMP

Important settings:
  value of $LC_MONETARY: en_US.UTF-8
  value of $LC_NUMERIC: en_US.UTF-8
  value of $LC_TIME: en_US.UTF-8
  value of $LANG: en_US.UTF-8
  value of $XMODIFIERS: @im=ibus
  locale-coding-system: utf-8-unix

Major mode: Org

Minor modes in effect:
  eros-mode: t
  evil-traces-mode: t
  global-anzu-mode: t
  anzu-mode: t
  git-gutter-mode: t
  whitespace-mode: t
  writegood-mode: t
  evil-org-mode: t
  org-superstar-mode: t
  flycheck-popup-tip-mode: t
  global-evil-surround-mode: t
  evil-surround-mode: t
  org-fancy-priorities-mode: t
  vi-tilde-fringe-mode: t
  display-line-numbers-mode: t
  spell-fu-mode: t
  org-indent-mode: t
  diff-hl-margin-mode: t
  projectile-mode: t
  gcmh-mode: t
  winner-mode: t
  ws-butler-global-mode: t
  ws-butler-mode: t
  global-undo-fu-session-mode: t
  undo-fu-session-mode: t
  undo-fu-mode: t
  global-flycheck-mode: t
  flycheck-mode: t
  save-place-mode: t
  global-so-long-mode: t
  which-key-mode: t
  better-jumper-mode: t
  better-jumper-local-mode: t
  ivy-prescient-mode: t
  prescient-persist-mode: t
  evil-goggles-mode: t
  evil-escape-mode: t
  evil-snipe-override-mode: t
  evil-snipe-mode: t
  evil-snipe-override-local-mode: t
  evil-snipe-local-mode: t
  yas-global-mode: t
  yas-minor-mode: t
  savehist-mode: t
  recentf-mode: t
  format-all-mode: t
  solaire-global-mode: t
  doom-modeline-mode: t
  global-emojify-mode: t
  emojify-mode: t
  override-global-mode: t
  TeX-PDF-mode: t
  TeX-source-correlate-mode: t
  company-box-mode: t
  global-company-mode: t
  company-mode: t
  smartparens-global-mode: t
  smartparens-mode: t
  ivy-rich-project-root-cache-mode: t
  ivy-rich-mode: t
  ivy-mode: t
  ess-elisp-trace-mode: Toggle tracing of ess-prefixed functions.
Tracing is useful for debugging background ESS behaviour. When
enabled, all functions prefixed in `ess-' and `inferior-ess' are
instrumented with `trace-function'. Tracing is turned off by
calling `untrace-function' on these functions.
  org-super-agenda-mode: t
  global-git-commit-mode: t
  ranger-override-dired-mode: t
  global-hl-line-mode: t
  hl-line-mode: t
  org-cdlatex-mode: t
  persp-mode: t
  shell-dirtrack-mode: t
  evil-mode: t
  evil-local-mode: t
  +popup-mode: t
  general-override-mode: t
  global-eldoc-mode: t
  eldoc-mode: t
  electric-indent-mode: t
  mouse-wheel-mode: t
  prettify-symbols-mode: t
  file-name-shadow-mode: t
  global-font-lock-mode: t
  font-lock-mode: t
  window-divider-mode: t
  auto-composition-mode: t
  auto-encryption-mode: t
  auto-compression-mode: t
  size-indication-mode: t
  column-number-mode: t
  line-number-mode: t
  visual-line-mode: t
  transient-mark-mode: t

Load-path shadows:
/home/omar/.emacs.d/.local/straight/build-27.2/use-package/use-package-jump
hides /home/omar/.emacs.d/.local/straight/repos/use-package/use-package-jump
/home/omar/.emacs.d/.local/straight/build-27.2/use-package/use-package-diminish
hides
/home/omar/.emacs.d/.local/straight/repos/use-package/use-package-diminish
/home/omar/.emacs.d/.local/straight/build-27.2/use-package/use-package-delight
hides
/home/omar/.emacs.d/.local/straight/repos/use-package/use-package-delight
/home/omar/.emacs.d/.local/straight/build-27.2/use-package/use-package-core
hides /home/omar/.emacs.d/.local/straight/repos/use-package/use-package-core
/home/omar/.emacs.d/.local/straight/build-27.2/bind-key/bind-key hides
/home/omar/.emacs.d/.local/straight/repos/use-package/bind-key
/home/omar/.emacs.d/.local/straight/build-27.2/use-package/use-package
hides /home/omar/.emacs.d/.local/straight/repos/use-package/use-package
/home/omar/.emacs.d/.local/straight/build-27.2/use-package/use-package-ensure
hides
/home/omar/.emacs.d/.local/straight/repos/use-package/use-package-ensure
/home/omar/.emacs.d/.local/straight/build-27.2/use-package/use-package-lint
hides /home/omar/.emacs.d/.local/straight/repos/use-package/use-package-lint
/home/omar/.emacs.d/.local/straight/build-27.2/use-package/use-package-bind-key
hides
/home/omar/.emacs.d/.local/straight/repos/use-package/use-package-bind-key
~/myscripts/emacs/scimax/bootstrap hides
/home/omar/.emacs.d/.local/straight/repos/straight.el/bootstrap
/home/omar/.emacs.d/.local/straight/build-27.2/straight/straight-x hides
/home/omar/.emacs.d/.local/straight/repos/straight.el/straight-x
/home/omar/.emacs.d/.local/straight/build-27.2/straight/straight hides
/home/omar/.emacs.d/.local/straight/repos/straight.el/straight
~/myscripts/emacs/scimax/packages hides /home/omar/.emacs.d/core/packages
/home/omar/.emacs.d/.local/straight/repos/straight.el/indent hides
/snap/emacs/current/usr/share/emacs/27.2/lisp/indent
/home/omar/.emacs.d/.local/straight/build-27.2/xref/xref hides
/snap/emacs/current/usr/share/emacs/27.2/lisp/progmodes/xref
/home/omar/.emacs.d/.local/straight/build-27.2/project/project hides
/snap/emacs/current/usr/share/emacs/27.2/lisp/progmodes/project
/home/omar/.emacs.d/.local/straight/build-27.2/org-mode/ox hides
/snap/emacs/current/usr/share/emacs/27.2/lisp/org/ox
/home/omar/.emacs.d/.local/straight/build-27.2/org-mode/ox-texinfo hides
/snap/emacs/current/usr/share/emacs/27.2/lisp/org/ox-texinfo
/home/omar/.emacs.d/.local/straight/build-27.2/org-mode/ox-publish hides
/snap/emacs/current/usr/share/emacs/27.2/lisp/org/ox-publish
/home/omar/.emacs.d/.local/straight/build-27.2/org-mode/ox-org hides
/snap/emacs/current/usr/share/emacs/27.2/lisp/org/ox-org
/home/omar/.emacs.d/.local/straight/build-27.2/org-mode/ox-odt hides
/snap/emacs/current/usr/share/emacs/27.2/lisp/org/ox-odt
/home/omar/.emacs.d/.local/straight/build-27.2/org-mode/ox-md hides
/snap/emacs/current/usr/share/emacs/27.2/lisp/org/ox-md
/home/omar/.emacs.d/.local/straight/build-27.2/org-mode/ox-man hides
/snap/emacs/current/usr/share/emacs/27.2/lisp/org/ox-man
/home/omar/.emacs.d/.local/straight/build-27.2/org-mode/ox-latex hides
/snap/emacs/current/usr/share/emacs/27.2/lisp/org/ox-latex
/home/omar/.emacs.d/.local/straight/build-27.2/org-mode/ox-icalendar hides
/snap/emacs/current/usr/share/emacs/27.2/lisp/org/ox-icalendar
/home/omar/.emacs.d/.local/straight/build-27.2/org-mode/ox-html hides
/snap/emacs/current/usr/share/emacs/27.2/lisp/org/ox-html
/home/omar/.emacs.d/.local/straight/build-27.2/org-mode/ox-beamer hides
/snap/emacs/current/usr/share/emacs/27.2/lisp/org/ox-beamer
/home/omar/.emacs.d/.local/straight/build-27.2/org-mode/ox-ascii hides
/snap/emacs/current/usr/share/emacs/27.2/lisp/org/ox-ascii
/home/omar/.emacs.d/.local/straight/build-27.2/org-mode/org hides
/snap/emacs/current/usr/share/emacs/27.2/lisp/org/org
/home/omar/.emacs.d/.local/straight/build-27.2/org-mode/org-version hides
/snap/emacs/current/usr/share/emacs/27.2/lisp/org/org-version
/home/omar/.emacs.d/.local/straight/build-27.2/org-mode/org-timer hides
/snap/emacs/current/usr/share/emacs/27.2/lisp/org/org-timer
/home/omar/.emacs.d/.local/straight/build-27.2/org-mode/org-tempo hides
/snap/emacs/current/usr/share/emacs/27.2/lisp/org/org-tempo
/home/omar/.emacs.d/.local/straight/build-27.2/org-mode/org-table hides
/snap/emacs/current/usr/share/emacs/27.2/lisp/org/org-table
/home/omar/.emacs.d/.local/straight/build-27.2/org-mode/org-src hides
/snap/emacs/current/usr/share/emacs/27.2/lisp/org/org-src
/home/omar/.emacs.d/.local/straight/build-27.2/org-mode/org-refile hides
/snap/emacs/current/usr/share/emacs/27.2/lisp/org/org-refile
/home/omar/.emacs.d/.local/straight/build-27.2/org-mode/org-protocol hides
/snap/emacs/current/usr/share/emacs/27.2/lisp/org/org-protocol
/home/omar/.emacs.d/.local/straight/build-27.2/org-mode/org-plot hides
/snap/emacs/current/usr/share/emacs/27.2/lisp/org/org-plot
/home/omar/.emacs.d/.local/straight/build-27.2/org-mode/org-pcomplete hides
/snap/emacs/current/usr/share/emacs/27.2/lisp/org/org-pcomplete
/home/omar/.emacs.d/.local/straight/build-27.2/org-mode/org-num hides
/snap/emacs/current/usr/share/emacs/27.2/lisp/org/org-num
/home/omar/.emacs.d/.local/straight/build-27.2/org-mode/org-mouse hides
/snap/emacs/current/usr/share/emacs/27.2/lisp/org/org-mouse
/home/omar/.emacs.d/.local/straight/build-27.2/org-mode/org-mobile hides
/snap/emacs/current/usr/share/emacs/27.2/lisp/org/org-mobile
/home/omar/.emacs.d/.local/straight/build-27.2/org-mode/org-macs hides
/snap/emacs/current/usr/share/emacs/27.2/lisp/org/org-macs
/home/omar/.emacs.d/.local/straight/build-27.2/org-mode/org-macro hides
/snap/emacs/current/usr/share/emacs/27.2/lisp/org/org-macro
/home/omar/.emacs.d/.local/straight/build-27.2/org-mode/org-loaddefs hides
/snap/emacs/current/usr/share/emacs/27.2/lisp/org/org-loaddefs
/home/omar/.emacs.d/.local/straight/build-27.2/org-mode/org-list hides
/snap/emacs/current/usr/share/emacs/27.2/lisp/org/org-list
/home/omar/.emacs.d/.local/straight/build-27.2/org-mode/org-lint hides
/snap/emacs/current/usr/share/emacs/27.2/lisp/org/org-lint
/home/omar/.emacs.d/.local/straight/build-27.2/org-mode/org-keys hides
/snap/emacs/current/usr/share/emacs/27.2/lisp/org/org-keys
/home/omar/.emacs.d/.local/straight/build-27.2/org-mode/org-install hides
/snap/emacs/current/usr/share/emacs/27.2/lisp/org/org-install
/home/omar/.emacs.d/.local/straight/build-27.2/org-mode/org-inlinetask
hides /snap/emacs/current/usr/share/emacs/27.2/lisp/org/org-inlinetask
/home/omar/.emacs.d/.local/straight/build-27.2/org-mode/org-indent hides
/snap/emacs/current/usr/share/emacs/27.2/lisp/org/org-indent
/home/omar/.emacs.d/.local/straight/build-27.2/org-mode/org-id hides
/snap/emacs/current/usr/share/emacs/27.2/lisp/org/org-id
/home/omar/.emacs.d/.local/straight/build-27.2/org-mode/org-habit hides
/snap/emacs/current/usr/share/emacs/27.2/lisp/org/org-habit
/home/omar/.emacs.d/.local/straight/build-27.2/org-mode/org-goto hides
/snap/emacs/current/usr/share/emacs/27.2/lisp/org/org-goto
/home/omar/.emacs.d/.local/straight/build-27.2/org-mode/org-footnote hides
/snap/emacs/current/usr/share/emacs/27.2/lisp/org/org-footnote
/home/omar/.emacs.d/.local/straight/build-27.2/org-mode/org-feed hides
/snap/emacs/current/usr/share/emacs/27.2/lisp/org/org-feed
/home/omar/.emacs.d/.local/straight/build-27.2/org-mode/org-faces hides
/snap/emacs/current/usr/share/emacs/27.2/lisp/org/org-faces
/home/omar/.emacs.d/.local/straight/build-27.2/org-mode/org-entities hides
/snap/emacs/current/usr/share/emacs/27.2/lisp/org/org-entities
/home/omar/.emacs.d/.local/straight/build-27.2/org-mode/org-element hides
/snap/emacs/current/usr/share/emacs/27.2/lisp/org/org-element
/home/omar/.emacs.d/.local/straight/build-27.2/org-mode/org-duration hides
/snap/emacs/current/usr/share/emacs/27.2/lisp/org/org-duration
/home/omar/.emacs.d/.local/straight/build-27.2/org-mode/org-datetree hides
/snap/emacs/current/usr/share/emacs/27.2/lisp/org/org-datetree
/home/omar/.emacs.d/.local/straight/build-27.2/org-mode/org-ctags hides
/snap/emacs/current/usr/share/emacs/27.2/lisp/org/org-ctags
/home/omar/.emacs.d/.local/straight/build-27.2/org-mode/org-crypt hides
/snap/emacs/current/usr/share/emacs/27.2/lisp/org/org-crypt
/home/omar/.emacs.d/.local/straight/build-27.2/org-mode/org-compat hides
/snap/emacs/current/usr/share/emacs/27.2/lisp/org/org-compat
/home/omar/.emacs.d/.local/straight/build-27.2/org-mode/org-colview hides
/snap/emacs/current/usr/share/emacs/27.2/lisp/org/org-colview
/home/omar/.emacs.d/.local/straight/build-27.2/org-mode/org-clock hides
/snap/emacs/current/usr/share/emacs/27.2/lisp/org/org-clock
/home/omar/.emacs.d/.local/straight/build-27.2/org-mode/org-capture hides
/snap/emacs/current/usr/share/emacs/27.2/lisp/org/org-capture
/home/omar/.emacs.d/.local/straight/build-27.2/org-mode/org-attach hides
/snap/emacs/current/usr/share/emacs/27.2/lisp/org/org-attach
/home/omar/.emacs.d/.local/straight/build-27.2/org-mode/org-attach-git
hides /snap/emacs/current/usr/share/emacs/27.2/lisp/org/org-attach-git
/home/omar/.emacs.d/.local/straight/build-27.2/org-mode/org-archive hides
/snap/emacs/current/usr/share/emacs/27.2/lisp/org/org-archive
/home/omar/.emacs.d/.local/straight/build-27.2/org-mode/org-agenda hides
/snap/emacs/current/usr/share/emacs/27.2/lisp/org/org-agenda
/home/omar/.emacs.d/.local/straight/build-27.2/org-mode/ol hides
/snap/emacs/current/usr/share/emacs/27.2/lisp/org/ol
/home/omar/.emacs.d/.local/straight/build-27.2/org-mode/ol-w3m hides
/snap/emacs/current/usr/share/emacs/27.2/lisp/org/ol-w3m
/home/omar/.emacs.d/.local/straight/build-27.2/org-mode/ol-rmail hides
/snap/emacs/current/usr/share/emacs/27.2/lisp/org/ol-rmail
/home/omar/.emacs.d/.local/straight/build-27.2/org-mode/ol-mhe hides
/snap/emacs/current/usr/share/emacs/27.2/lisp/org/ol-mhe
/home/omar/.emacs.d/.local/straight/build-27.2/org-mode/ol-irc hides
/snap/emacs/current/usr/share/emacs/27.2/lisp/org/ol-irc
/home/omar/.emacs.d/.local/straight/build-27.2/org-mode/ol-info hides
/snap/emacs/current/usr/share/emacs/27.2/lisp/org/ol-info
/home/omar/.emacs.d/.local/straight/build-27.2/org-mode/ol-gnus hides
/snap/emacs/current/usr/share/emacs/27.2/lisp/org/ol-gnus
/home/omar/.emacs.d/.local/straight/build-27.2/org-mode/ol-eww hides
/snap/emacs/current/usr/share/emacs/27.2/lisp/org/ol-eww
/home/omar/.emacs.d/.local/straight/build-27.2/org-mode/ol-eshell hides
/snap/emacs/current/usr/share/emacs/27.2/lisp/org/ol-eshell
/home/omar/.emacs.d/.local/straight/build-27.2/org-mode/ol-docview hides
/snap/emacs/current/usr/share/emacs/27.2/lisp/org/ol-docview
/home/omar/.emacs.d/.local/straight/build-27.2/org-mode/ol-bibtex hides
/snap/emacs/current/usr/share/emacs/27.2/lisp/org/ol-bibtex
/home/omar/.emacs.d/.local/straight/build-27.2/org-mode/ol-bbdb hides
/snap/emacs/current/usr/share/emacs/27.2/lisp/org/ol-bbdb
/home/omar/.emacs.d/.local/straight/build-27.2/org-mode/ob hides
/snap/emacs/current/usr/share/emacs/27.2/lisp/org/ob
/home/omar/.emacs.d/.local/straight/build-27.2/org-mode/ob-vala hides
/snap/emacs/current/usr/share/emacs/27.2/lisp/org/ob-vala
/home/omar/.emacs.d/.local/straight/build-27.2/org-mode/ob-tangle hides
/snap/emacs/current/usr/share/emacs/27.2/lisp/org/ob-tangle
/home/omar/.emacs.d/.local/straight/build-27.2/org-mode/ob-table hides
/snap/emacs/current/usr/share/emacs/27.2/lisp/org/ob-table
/home/omar/.emacs.d/.local/straight/build-27.2/org-mode/ob-stan hides
/snap/emacs/current/usr/share/emacs/27.2/lisp/org/ob-stan
/home/omar/.emacs.d/.local/straight/build-27.2/org-mode/ob-sqlite hides
/snap/emacs/current/usr/share/emacs/27.2/lisp/org/ob-sqlite
/home/omar/.emacs.d/.local/straight/build-27.2/org-mode/ob-sql hides
/snap/emacs/current/usr/share/emacs/27.2/lisp/org/ob-sql
/home/omar/.emacs.d/.local/straight/build-27.2/org-mode/ob-shen hides
/snap/emacs/current/usr/share/emacs/27.2/lisp/org/ob-shen
/home/omar/.emacs.d/.local/straight/build-27.2/org-mode/ob-shell hides
/snap/emacs/current/usr/share/emacs/27.2/lisp/org/ob-shell
/home/omar/.emacs.d/.local/straight/build-27.2/org-mode/ob-sed hides
/snap/emacs/current/usr/share/emacs/27.2/lisp/org/ob-sed
/home/omar/.emacs.d/.local/straight/build-27.2/org-mode/ob-screen hides
/snap/emacs/current/usr/share/emacs/27.2/lisp/org/ob-screen
/home/omar/.emacs.d/.local/straight/build-27.2/org-mode/ob-scheme hides
/snap/emacs/current/usr/share/emacs/27.2/lisp/org/ob-scheme
/home/omar/.emacs.d/.local/straight/build-27.2/org-mode/ob-sass hides
/snap/emacs/current/usr/share/emacs/27.2/lisp/org/ob-sass
/home/omar/.emacs.d/.local/straight/build-27.2/org-mode/ob-ruby hides
/snap/emacs/current/usr/share/emacs/27.2/lisp/org/ob-ruby
/home/omar/.emacs.d/.local/straight/build-27.2/org-mode/ob-ref hides
/snap/emacs/current/usr/share/emacs/27.2/lisp/org/ob-ref
/home/omar/.emacs.d/.local/straight/build-27.2/org-mode/ob-python hides
/snap/emacs/current/usr/share/emacs/27.2/lisp/org/ob-python
/home/omar/.emacs.d/.local/straight/build-27.2/org-mode/ob-processing hides
/snap/emacs/current/usr/share/emacs/27.2/lisp/org/ob-processing
/home/omar/.emacs.d/.local/straight/build-27.2/org-mode/ob-plantuml hides
/snap/emacs/current/usr/share/emacs/27.2/lisp/org/ob-plantuml
/home/omar/.emacs.d/.local/straight/build-27.2/org-mode/ob-picolisp hides
/snap/emacs/current/usr/share/emacs/27.2/lisp/org/ob-picolisp
/home/omar/.emacs.d/.local/straight/build-27.2/org-mode/ob-perl hides
/snap/emacs/current/usr/share/emacs/27.2/lisp/org/ob-perl
/home/omar/.emacs.d/.local/straight/build-27.2/org-mode/ob-org hides
/snap/emacs/current/usr/share/emacs/27.2/lisp/org/ob-org
/home/omar/.emacs.d/.local/straight/build-27.2/org-mode/ob-octave hides
/snap/emacs/current/usr/share/emacs/27.2/lisp/org/ob-octave
/home/omar/.emacs.d/.local/straight/build-27.2/org-mode/ob-ocaml hides
/snap/emacs/current/usr/share/emacs/27.2/lisp/org/ob-ocaml
/home/omar/.emacs.d/.local/straight/build-27.2/org-mode/ob-mscgen hides
/snap/emacs/current/usr/share/emacs/27.2/lisp/org/ob-mscgen
/home/omar/.emacs.d/.local/straight/build-27.2/org-mode/ob-maxima hides
/snap/emacs/current/usr/share/emacs/27.2/lisp/org/ob-maxima
/home/omar/.emacs.d/.local/straight/build-27.2/org-mode/ob-matlab hides
/snap/emacs/current/usr/share/emacs/27.2/lisp/org/ob-matlab
/home/omar/.emacs.d/.local/straight/build-27.2/org-mode/ob-makefile hides
/snap/emacs/current/usr/share/emacs/27.2/lisp/org/ob-makefile
/home/omar/.emacs.d/.local/straight/build-27.2/org-mode/ob-lua hides
/snap/emacs/current/usr/share/emacs/27.2/lisp/org/ob-lua
/home/omar/.emacs.d/.local/straight/build-27.2/org-mode/ob-lob hides
/snap/emacs/current/usr/share/emacs/27.2/lisp/org/ob-lob
/home/omar/.emacs.d/.local/straight/build-27.2/org-mode/ob-lisp hides
/snap/emacs/current/usr/share/emacs/27.2/lisp/org/ob-lisp
/home/omar/.emacs.d/.local/straight/build-27.2/org-mode/ob-lilypond hides
/snap/emacs/current/usr/share/emacs/27.2/lisp/org/ob-lilypond
/home/omar/.emacs.d/.local/straight/build-27.2/org-mode/ob-ledger hides
/snap/emacs/current/usr/share/emacs/27.2/lisp/org/ob-ledger
/home/omar/.emacs.d/.local/straight/build-27.2/org-mode/ob-latex hides
/snap/emacs/current/usr/share/emacs/27.2/lisp/org/ob-latex
/home/omar/.emacs.d/.local/straight/build-27.2/org-mode/ob-js hides
/snap/emacs/current/usr/share/emacs/27.2/lisp/org/ob-js
/home/omar/.emacs.d/.local/straight/build-27.2/org-mode/ob-java hides
/snap/emacs/current/usr/share/emacs/27.2/lisp/org/ob-java
/home/omar/.emacs.d/.local/straight/build-27.2/org-mode/ob-io hides
/snap/emacs/current/usr/share/emacs/27.2/lisp/org/ob-io
/home/omar/.emacs.d/.local/straight/build-27.2/org-mode/ob-hledger hides
/snap/emacs/current/usr/share/emacs/27.2/lisp/org/ob-hledger
/home/omar/.emacs.d/.local/straight/build-27.2/org-mode/ob-haskell hides
/snap/emacs/current/usr/share/emacs/27.2/lisp/org/ob-haskell
/home/omar/.emacs.d/.local/straight/build-27.2/org-mode/ob-groovy hides
/snap/emacs/current/usr/share/emacs/27.2/lisp/org/ob-groovy
/home/omar/.emacs.d/.local/straight/build-27.2/org-mode/ob-gnuplot hides
/snap/emacs/current/usr/share/emacs/27.2/lisp/org/ob-gnuplot
/home/omar/.emacs.d/.local/straight/build-27.2/org-mode/ob-fortran hides
/snap/emacs/current/usr/share/emacs/27.2/lisp/org/ob-fortran
/home/omar/.emacs.d/.local/straight/build-27.2/org-mode/ob-forth hides
/snap/emacs/current/usr/share/emacs/27.2/lisp/org/ob-forth
/home/omar/.emacs.d/.local/straight/build-27.2/org-mode/ob-exp hides
/snap/emacs/current/usr/share/emacs/27.2/lisp/org/ob-exp
/home/omar/.emacs.d/.local/straight/build-27.2/org-mode/ob-eval hides
/snap/emacs/current/usr/share/emacs/27.2/lisp/org/ob-eval
/home/omar/.emacs.d/.local/straight/build-27.2/org-mode/ob-eshell hides
/snap/emacs/current/usr/share/emacs/27.2/lisp/org/ob-eshell
/home/omar/.emacs.d/.local/straight/build-27.2/org-mode/ob-emacs-lisp hides
/snap/emacs/current/usr/share/emacs/27.2/lisp/org/ob-emacs-lisp
/home/omar/.emacs.d/.local/straight/build-27.2/org-mode/ob-ebnf hides
/snap/emacs/current/usr/share/emacs/27.2/lisp/org/ob-ebnf
/home/omar/.emacs.d/.local/straight/build-27.2/org-mode/ob-dot hides
/snap/emacs/current/usr/share/emacs/27.2/lisp/org/ob-dot
/home/omar/.emacs.d/.local/straight/build-27.2/org-mode/ob-ditaa hides
/snap/emacs/current/usr/share/emacs/27.2/lisp/org/ob-ditaa
/home/omar/.emacs.d/.local/straight/build-27.2/org-mode/ob-css hides
/snap/emacs/current/usr/share/emacs/27.2/lisp/org/ob-css
/home/omar/.emacs.d/.local/straight/build-27.2/org-mode/ob-core hides
/snap/emacs/current/usr/share/emacs/27.2/lisp/org/ob-core
/home/omar/.emacs.d/.local/straight/build-27.2/org-mode/ob-coq hides
/snap/emacs/current/usr/share/emacs/27.2/lisp/org/ob-coq
/home/omar/.emacs.d/.local/straight/build-27.2/org-mode/ob-comint hides
/snap/emacs/current/usr/share/emacs/27.2/lisp/org/ob-comint
/home/omar/.emacs.d/.local/straight/build-27.2/org-mode/ob-clojure hides
/snap/emacs/current/usr/share/emacs/27.2/lisp/org/ob-clojure
/home/omar/.emacs.d/.local/straight/build-27.2/org-mode/ob-calc hides
/snap/emacs/current/usr/share/emacs/27.2/lisp/org/ob-calc
/home/omar/.emacs.d/.local/straight/build-27.2/org-mode/ob-awk hides
/snap/emacs/current/usr/share/emacs/27.2/lisp/org/ob-awk
/home/omar/.emacs.d/.local/straight/build-27.2/org-mode/ob-asymptote hides
/snap/emacs/current/usr/share/emacs/27.2/lisp/org/ob-asymptote
/home/omar/.emacs.d/.local/straight/build-27.2/org-mode/ob-abc hides
/snap/emacs/current/usr/share/emacs/27.2/lisp/org/ob-abc
/home/omar/.emacs.d/.local/straight/build-27.2/org-mode/ob-R hides
/snap/emacs/current/usr/share/emacs/27.2/lisp/org/ob-R
/home/omar/.emacs.d/.local/straight/build-27.2/org-mode/ob-J hides
/snap/emacs/current/usr/share/emacs/27.2/lisp/org/ob-J
/home/omar/.emacs.d/.local/straight/build-27.2/org-mode/ob-C hides
/snap/emacs/current/usr/share/emacs/27.2/lisp/org/ob-C
/home/omar/.emacs.d/.local/straight/build-27.2/map/map hides
/snap/emacs/current/usr/share/emacs/27.2/lisp/emacs-lisp/map

Features:
(shadow sort mail-extr emacsbug sendmail diary-lib diary-loaddefs
cal-iso evil-org-agenda company-ispell company-yasnippet company-dabbrev
url-cache org-cliplink org-cliplink-transport org-cliplink-string
em-glob company-shell evil-collection-sh-script sh-script executable
pipenv python-el-fgallina-expansions smartparens-python pyvenv esh-help
evil-collection-man man em-unix eshell-z em-dirs esh-var
evil-collection-eshell em-prompt eshell-did-you-mean esh-mode eshell
esh-cmd esh-ext esh-opt esh-proc esh-io esh-arg esh-module esh-groups
esh-util evil-collection-python python tramp-sh counsel-projectile
mhtml-mode css-mode-expansions css-mode smie evil-collection-eww eww
mm-url evil-collection-gnus gnus nnheader url-queue js-mode-expansions
smartparens-javascript js cc-mode-expansions smartparens-c cc-mode
cc-fonts cc-guess cc-menus cc-cmds cc-styles cc-align cc-engine cc-vars
cc-defs html-mode-expansions smartparens-html sgml-mode elisp-demos
flycheck-cask eros aggressive-indent highlight-quoted rainbow-delimiters
highlight-numbers parent-mode jka-compr hide-mode-line
evil-collection-helpful helpful trace evil-collection-edebug edebug
backtrace info-look help-fns radix-tree evil-collection-help help
evil-collection-elisp-refs elisp-refs ibuffer-projectile mule-util
evil-traces evil-ex misearch multi-isearch evil-anzu anzu
git-gutter-fringe fringe-helper git-gutter disp-table whitespace
org-eldoc writegood-mode toc-org evil-org org-crypt org-superstar
lsp-python-ms lsp-mode lsp-protocol spinner network-stream inline
flycheck-popup-tip evil-collection-popup popup cdlatex adaptive-wrap
evil-embrace embrace expand-region text-mode-expansions
the-org-mode-expansions latex-mode-expansions er-basic-expansions
expand-region-core expand-region-custom evil-surround evil-tex
reftex-dcr reftex-auc evil-collection-reftex reftex-cite reftex-ref
reftex-parse reftex reftex-loaddefs reftex-vars xenops xenops-xen
xenops-style xenops-util xenops-src xenops-png xenops-parse
xenops-overlay xenops-minted xenops-math xenops-math-latex xenops-aio
xenops-image xenops-footnote xenops-font xenops-elements xenops-element
xenops-doctor xenops-auctex xenops-avy xenops-apply preview aio tex-fold
font-latex tex-mode org-fancy-priorities vi-tilde-fringe
display-line-numbers spell-fu ispell yankpad org-indent ol-bibtex bibtex
char-fold amx vc-hg vc-svn diredfl diff-hl-margin diff-hl-dired diff-hl
evil-collection-log-view log-view evil-collection-vc-dir vc-dir ewoc vc
vc-dispatcher all-the-icons-dired dired-aux evil-collection-indent
dired-x nav-flash evil-collection-vc-git vc-git projectile ibuffer-vc
ibuf-ext evil-collection-ibuffer ibuffer ibuffer-loaddefs
auto-minor-mode gcmh winner paren ws-butler undo-fu-session undo-fu
evil-collection-flycheck flycheck saveplace so-long magit-bookmark
evil-collection-bookmark bookmark cursor-sensor ffap docker-tramp
tramp-cache tramp tramp-loaddefs trampver tramp-integration files-x
tramp-compat parse-time iso8601 ls-lisp evil-collection-which-key
which-key better-jumper ivy-prescient prescient evil-goggles pulse
evil-easymotion evil-escape evil-snipe lv doom-snippets
doom-snippets-lib yasnippet evil-collection-elisp-mode elisp-mode
savehist recentf tree-widget persistent-soft list-utils pcache
font-utils unicode-fonts format-all dtrt-indent doom-themes-ext-treemacs
doom-themes-ext-org solaire-mode face-remap doom-one-light-theme
doom-themes doom-themes-base doom-modeline doom-modeline-segments
doom-modeline-env doom-modeline-core shrink-path emojify
evil-collection-apropos apropos evil-collection-tar-mode tar-mode
evil-collection-arc-mode arc-mode archive-mode org-drill persist
skeletor bind-key smartparens-latex auctex-latexmk tex-buf latex
latex-flymake tex-ispell tex-style tex dbus ido-completing-read+ memoize
minibuf-eldef ido texmathp ox-extra ox-odt rng-loc rng-uri rng-parse
rng-match rng-dt rng-util rng-pttrn nxml-parse nxml-ns nxml-enc xmltok
nxml-util ox-icalendar ox-ascii ox-md ox-beamer ox-latex org-re-reveal
ox-html table ox-publish ox scimax-inkscape company-box company-box-doc
frame-local company-box-icons all-the-icons all-the-icons-faces
data-material data-weathericons data-octicons data-fileicons
data-faicons data-alltheicons dash-functional company-capf company
ess-site ess-toolbar ess-jags-d ess-bugs-d ess-bugs-l essd-els ess-sas-d
ess-sas-l ess-sas-a ess-sp6-d use-package-ensure poly-R poly-markdown
smartparens-config smartparens-markdown smartparens-text smartparens-ess
smartparens markdown-mode edit-indirect poly-noweb ess-r-mode
ess-r-flymake evil-collection-flymake flymake-proc flymake warnings
ess-r-xref ivy-xref evil-collection-ivy ivy-avy avy ivy-rich counsel xdg
swiper ivy delsel ivy-faces ivy-overlay colir evil-collection-xref xref
ess-trns ess-r-package ess-r-completion ess-roxy ess-r-syntax ess-rd
hideshow ess-s-lang ess-help evil-collection-info info ess-mode ess-inf
ess-tracebug ess ess-utils ess-custom project polymode poly-lock
polymode-base polymode-weave polymode-export polymode-compat
polymode-methods polymode-core polymode-classes eieio-custom color
org-depend org-super-agenda ts ht org-habit org-agenda jupyter
jupyter-repl jupyter-kernel-manager jupyter-channel
jupyter-widget-client websocket bindat simple-httpd jupyter-kernelspec
jupyter-env jupyter-client jupyter-mime shr svg dom jupyter-comm-layer
jupyter-messages hmac-def jupyter-base eieio-base org-download
org-attach org-noter orgit evil-collection-magit-todos magit-todos
pcre2el rxt re-builder hl-todo evil-collection-grep grep
evil-collection-compile compile github-review ghub-graphql treepy gsexp
ghub gnutls deferred a evil-collection-magit magit-autoloads
magit-submodule magit-obsolete magit-popup magit-blame magit-stash
magit-reflog magit-bisect magit-push magit-pull magit-fetch magit-clone
magit-remote magit-commit magit-sequence magit-notes magit-worktree
magit-tag magit-merge magit-branch magit-reset magit-files magit-refs
magit-status magit core-packages package browse-url url-handlers
magit-repos magit-apply magit-wip magit-log which-func
evil-collection-imenu imenu magit-diff smerge-mode diff
evil-collection-diff-mode diff-mode git-commit evil-collection-log-edit
log-edit message ranger hl-line evil-collection-dired dired
dired-loaddefs rfc822 mml mml-sec evil-collection-epa epa epg epg-config
gnus-util rmail rmail-loaddefs text-property-search mm-decode mm-bodies
mm-encode mailabbrev mail-utils gmm-utils mailheader pcvs-util add-log
magit-core magit-autorevert autorevert filenotify magit-margin
magit-transient magit-process with-editor magit-mode transient help-mode
magit-git magit-section magit-utils crm org-roam org-roam-link
org-roam-graph xml org-roam-doctor org-roam-dailies org-roam-capture
org-roam-db emacsql-sqlite3 emacsql emacsql-compiler org-capture
org-roam-completion org-roam-buffer org-roam-faces org-roam-macs
org-roam-compat f s dash org-id org-refile smartparens-org org-yt
org-element avl-tree generator org ob ob-tangle ob-ref ob-lob ob-table
ob-exp org-macro org-footnote org-src ob-comint org-pcomplete org-list
org-faces org-entities time-date noutline outline org-version
ob-emacs-lisp ob-core ob-eval org-table ol org-keys org-compat org-macs
org-loaddefs format-spec find-func evil-collection-calendar
evil-collection-custom cus-edit cus-start cus-load wid-edit
evil-collection-comint evil-collection annalist cal-menu calendar
cal-loaddefs url-http url url-proxy url-privacy url-expand url-methods
url-history mailcap url-auth mail-parse rfc2231 rfc2047 rfc2045 mm-util
ietf-drums mail-prsvr url-cookie url-domsuf url-util url-gw nsm rmc puny
url-parse auth-source eieio eieio-core eieio-loaddefs password-cache
json map url-vars async server persp-mode let-alist ibuf-macs evil
evil-integration evil-maps evil-commands reveal flyspell evil-jumps
evil-command-window evil-types evil-search shell pcomplete comint
ansi-color evil-macros evil-repeat evil-states evil-core advice
evil-common windmove calc calc-loaddefs calc-macs thingatpt rect
evil-digraphs evil-vars ring derived edmacro kmacro core-editor
core-projects core-ui easy-mmode core-keybinds pp general cl-extra
easymenu seq byte-opt cl-seq use-package-core bytecomp byte-compile
cconv core-modules tex-site rx realgud-recursive-autoloads cl core
core-lib pcase cl-macs gv cl-loaddefs cl-lib subr-x tooltip eldoc
electric uniquify ediff-hook vc-hooks lisp-float-type mwheel term/x-win
x-win term/common-win x-dnd tool-bar dnd fontset image regexp-opt fringe
tabulated-list replace newcomment text-mode lisp-mode prog-mode register
page tab-bar menu-bar rfn-eshadow isearch timer select scroll-bar mouse
jit-lock font-lock syntax facemenu font-core term/tty-colors frame
minibuffer cl-generic cham georgian utf-8-lang misc-lang vietnamese
tibetan thai tai-viet lao korean japanese eucjp-ms cp51932 hebrew greek
romanian slovak czech european ethiopic indian cyrillic chinese
composite charscript charprop case-table epa-hook jka-cmpr-hook simple
abbrev obarray cl-preloaded nadvice loaddefs button faces cus-face
macroexp files text-properties overlay sha1 md5 base64 format env
code-pages mule custom widget hashtable-print-readable backquote threads
dbusbind inotify lcms2 dynamic-setting system-font-setting
font-render-setting cairo move-toolbar gtk x-toolkit x multi-tty
make-network-process emacs)

Memory information:
((conses 16 1582994 334941)
 (symbols 48 80737 2)
 (strings 32 482313 71998)
 (string-bytes 1 11481747)
 (vectors 16 158187)
 (vector-slots 8 5306391 286442)
 (floats 8 5940 1841)
 (intervals 56 8967 5405)
 (buffers 1000 212))

--0000000000009f345905c62facc6
Content-Type: text/html; charset="UTF-8"
Content-Transfer-Encoding: quoted-printable

<div dir=3D"ltr">In GNU Emacs 27.2 (build 1, x86_64-pc-linux-gnu, GTK+ Vers=
ion 3.24.20, cairo version 1.16.0)<br>=C2=A0of 2021-06-04 built on lgw01-am=
d64-021<br>Repository revision: 482b9449d48c4be3af331ae6eb9e751ee4d9e2d6<br=
>Repository branch: master<br>Windowing system distributor &#39;The X.Org F=
oundation&#39;, version 11.0.12009000<br>System Description: Ubuntu 20.04.2=
 LTS<br><br>Configured using:<br>=C2=A0&#39;configure --prefix=3D/snap/emac=
s/current/usr --with-x-toolkit=3Dgtk3<br>=C2=A0--without-xaw3d --with-modul=
es --with-cairo<br>=C2=A0&#39;CFLAGS=3D-isystem/build/emacs/parts/emacs/ins=
tall/usr/include -O2&#39;<br>=C2=A0CPPFLAGS=3D-isystem/build/emacs/parts/em=
acs/install/usr/include<br>=C2=A0&#39;LDFLAGS=3D-L/build/emacs/parts/emacs/=
install/lib<br>=C2=A0-L/build/emacs/parts/emacs/install/usr/lib<br>=C2=A0-L=
/build/emacs/parts/emacs/install/lib/x86_64-linux-gnu<br>=C2=A0-L/build/ema=
cs/parts/emacs/install/usr/lib/x86_64-linux-gnu&#39;&#39;<br><br>Configured=
 features:<br>XPM JPEG TIFF GIF PNG RSVG CAIRO SOUND GPM DBUS GSETTINGS GLI=
B NOTIFY<br>INOTIFY ACL LIBSELINUX GNUTLS LIBXML2 FREETYPE HARFBUZZ M17N_FL=
T LIBOTF<br>ZLIB TOOLKIT_SCROLL_BARS GTK3 X11 XDBE XIM MODULES THREADS LIBS=
YSTEMD<br>JSON PDUMPER LCMS2 GMP<br><br>Important settings:<br>=C2=A0 value=
 of $LC_MONETARY: en_US.UTF-8<br>=C2=A0 value of $LC_NUMERIC: en_US.UTF-8<b=
r>=C2=A0 value of $LC_TIME: en_US.UTF-8<br>=C2=A0 value of $LANG: en_US.UTF=
-8<br>=C2=A0 value of $XMODIFIERS: @im=3Dibus<br>=C2=A0 locale-coding-syste=
m: utf-8-unix<br><br>Major mode: Org<br><br>Minor modes in effect:<br>=C2=
=A0 eros-mode: t<br>=C2=A0 evil-traces-mode: t<br>=C2=A0 global-anzu-mode: =
t<br>=C2=A0 anzu-mode: t<br>=C2=A0 git-gutter-mode: t<br>=C2=A0 whitespace-=
mode: t<br>=C2=A0 writegood-mode: t<br>=C2=A0 evil-org-mode: t<br>=C2=A0 or=
g-superstar-mode: t<br>=C2=A0 flycheck-popup-tip-mode: t<br>=C2=A0 global-e=
vil-surround-mode: t<br>=C2=A0 evil-surround-mode: t<br>=C2=A0 org-fancy-pr=
iorities-mode: t<br>=C2=A0 vi-tilde-fringe-mode: t<br>=C2=A0 display-line-n=
umbers-mode: t<br>=C2=A0 spell-fu-mode: t<br>=C2=A0 org-indent-mode: t<br>=
=C2=A0 diff-hl-margin-mode: t<br>=C2=A0 projectile-mode: t<br>=C2=A0 gcmh-m=
ode: t<br>=C2=A0 winner-mode: t<br>=C2=A0 ws-butler-global-mode: t<br>=C2=
=A0 ws-butler-mode: t<br>=C2=A0 global-undo-fu-session-mode: t<br>=C2=A0 un=
do-fu-session-mode: t<br>=C2=A0 undo-fu-mode: t<br>=C2=A0 global-flycheck-m=
ode: t<br>=C2=A0 flycheck-mode: t<br>=C2=A0 save-place-mode: t<br>=C2=A0 gl=
obal-so-long-mode: t<br>=C2=A0 which-key-mode: t<br>=C2=A0 better-jumper-mo=
de: t<br>=C2=A0 better-jumper-local-mode: t<br>=C2=A0 ivy-prescient-mode: t=
<br>=C2=A0 prescient-persist-mode: t<br>=C2=A0 evil-goggles-mode: t<br>=C2=
=A0 evil-escape-mode: t<br>=C2=A0 evil-snipe-override-mode: t<br>=C2=A0 evi=
l-snipe-mode: t<br>=C2=A0 evil-snipe-override-local-mode: t<br>=C2=A0 evil-=
snipe-local-mode: t<br>=C2=A0 yas-global-mode: t<br>=C2=A0 yas-minor-mode: =
t<br>=C2=A0 savehist-mode: t<br>=C2=A0 recentf-mode: t<br>=C2=A0 format-all=
-mode: t<br>=C2=A0 solaire-global-mode: t<br>=C2=A0 doom-modeline-mode: t<b=
r>=C2=A0 global-emojify-mode: t<br>=C2=A0 emojify-mode: t<br>=C2=A0 overrid=
e-global-mode: t<br>=C2=A0 TeX-PDF-mode: t<br>=C2=A0 TeX-source-correlate-m=
ode: t<br>=C2=A0 company-box-mode: t<br>=C2=A0 global-company-mode: t<br>=
=C2=A0 company-mode: t<br>=C2=A0 smartparens-global-mode: t<br>=C2=A0 smart=
parens-mode: t<br>=C2=A0 ivy-rich-project-root-cache-mode: t<br>=C2=A0 ivy-=
rich-mode: t<br>=C2=A0 ivy-mode: t<br>=C2=A0 ess-elisp-trace-mode: Toggle t=
racing of ess-prefixed functions.<br>Tracing is useful for debugging backgr=
ound ESS behaviour. When<br>enabled, all functions prefixed in `ess-&#39; a=
nd `inferior-ess&#39; are<br>instrumented with `trace-function&#39;. Tracin=
g is turned off by<br>calling `untrace-function&#39; on these functions.<br=
>=C2=A0 org-super-agenda-mode: t<br>=C2=A0 global-git-commit-mode: t<br>=C2=
=A0 ranger-override-dired-mode: t<br>=C2=A0 global-hl-line-mode: t<br>=C2=
=A0 hl-line-mode: t<br>=C2=A0 org-cdlatex-mode: t<br>=C2=A0 persp-mode: t<b=
r>=C2=A0 shell-dirtrack-mode: t<br>=C2=A0 evil-mode: t<br>=C2=A0 evil-local=
-mode: t<br>=C2=A0 +popup-mode: t<br>=C2=A0 general-override-mode: t<br>=C2=
=A0 global-eldoc-mode: t<br>=C2=A0 eldoc-mode: t<br>=C2=A0 electric-indent-=
mode: t<br>=C2=A0 mouse-wheel-mode: t<br>=C2=A0 prettify-symbols-mode: t<br=
>=C2=A0 file-name-shadow-mode: t<br>=C2=A0 global-font-lock-mode: t<br>=C2=
=A0 font-lock-mode: t<br>=C2=A0 window-divider-mode: t<br>=C2=A0 auto-compo=
sition-mode: t<br>=C2=A0 auto-encryption-mode: t<br>=C2=A0 auto-compression=
-mode: t<br>=C2=A0 size-indication-mode: t<br>=C2=A0 column-number-mode: t<=
br>=C2=A0 line-number-mode: t<br>=C2=A0 visual-line-mode: t<br>=C2=A0 trans=
ient-mark-mode: t<br><br>Load-path shadows:<br>/home/omar/.emacs.d/.local/s=
traight/build-27.2/use-package/use-package-jump hides /home/omar/.emacs.d/.=
local/straight/repos/use-package/use-package-jump<br>/home/omar/.emacs.d/.l=
ocal/straight/build-27.2/use-package/use-package-diminish hides /home/omar/=
.emacs.d/.local/straight/repos/use-package/use-package-diminish<br>/home/om=
ar/.emacs.d/.local/straight/build-27.2/use-package/use-package-delight hide=
s /home/omar/.emacs.d/.local/straight/repos/use-package/use-package-delight=
<br>/home/omar/.emacs.d/.local/straight/build-27.2/use-package/use-package-=
core hides /home/omar/.emacs.d/.local/straight/repos/use-package/use-packag=
e-core<br>/home/omar/.emacs.d/.local/straight/build-27.2/bind-key/bind-key =
hides /home/omar/.emacs.d/.local/straight/repos/use-package/bind-key<br>/ho=
me/omar/.emacs.d/.local/straight/build-27.2/use-package/use-package hides /=
home/omar/.emacs.d/.local/straight/repos/use-package/use-package<br>/home/o=
mar/.emacs.d/.local/straight/build-27.2/use-package/use-package-ensure hide=
s /home/omar/.emacs.d/.local/straight/repos/use-package/use-package-ensure<=
br>/home/omar/.emacs.d/.local/straight/build-27.2/use-package/use-package-l=
int hides /home/omar/.emacs.d/.local/straight/repos/use-package/use-package=
-lint<br>/home/omar/.emacs.d/.local/straight/build-27.2/use-package/use-pac=
kage-bind-key hides /home/omar/.emacs.d/.local/straight/repos/use-package/u=
se-package-bind-key<br>~/myscripts/emacs/scimax/bootstrap hides /home/omar/=
.emacs.d/.local/straight/repos/straight.el/bootstrap<br>/home/omar/.emacs.d=
/.local/straight/build-27.2/straight/straight-x hides /home/omar/.emacs.d/.=
local/straight/repos/straight.el/straight-x<br>/home/omar/.emacs.d/.local/s=
traight/build-27.2/straight/straight hides /home/omar/.emacs.d/.local/strai=
ght/repos/straight.el/straight<br>~/myscripts/emacs/scimax/packages hides /=
home/omar/.emacs.d/core/packages<br>/home/omar/.emacs.d/.local/straight/rep=
os/straight.el/indent hides /snap/emacs/current/usr/share/emacs/27.2/lisp/i=
ndent<br>/home/omar/.emacs.d/.local/straight/build-27.2/xref/xref hides /sn=
ap/emacs/current/usr/share/emacs/27.2/lisp/progmodes/xref<br>/home/omar/.em=
acs.d/.local/straight/build-27.2/project/project hides /snap/emacs/current/=
usr/share/emacs/27.2/lisp/progmodes/project<br>/home/omar/.emacs.d/.local/s=
traight/build-27.2/org-mode/ox hides /snap/emacs/current/usr/share/emacs/27=
.2/lisp/org/ox<br>/home/omar/.emacs.d/.local/straight/build-27.2/org-mode/o=
x-texinfo hides /snap/emacs/current/usr/share/emacs/27.2/lisp/org/ox-texinf=
o<br>/home/omar/.emacs.d/.local/straight/build-27.2/org-mode/ox-publish hid=
es /snap/emacs/current/usr/share/emacs/27.2/lisp/org/ox-publish<br>/home/om=
ar/.emacs.d/.local/straight/build-27.2/org-mode/ox-org hides /snap/emacs/cu=
rrent/usr/share/emacs/27.2/lisp/org/ox-org<br>/home/omar/.emacs.d/.local/st=
raight/build-27.2/org-mode/ox-odt hides /snap/emacs/current/usr/share/emacs=
/27.2/lisp/org/ox-odt<br>/home/omar/.emacs.d/.local/straight/build-27.2/org=
-mode/ox-md hides /snap/emacs/current/usr/share/emacs/27.2/lisp/org/ox-md<b=
r>/home/omar/.emacs.d/.local/straight/build-27.2/org-mode/ox-man hides /sna=
p/emacs/current/usr/share/emacs/27.2/lisp/org/ox-man<br>/home/omar/.emacs.d=
/.local/straight/build-27.2/org-mode/ox-latex hides /snap/emacs/current/usr=
/share/emacs/27.2/lisp/org/ox-latex<br>/home/omar/.emacs.d/.local/straight/=
build-27.2/org-mode/ox-icalendar hides /snap/emacs/current/usr/share/emacs/=
27.2/lisp/org/ox-icalendar<br>/home/omar/.emacs.d/.local/straight/build-27.=
2/org-mode/ox-html hides /snap/emacs/current/usr/share/emacs/27.2/lisp/org/=
ox-html<br>/home/omar/.emacs.d/.local/straight/build-27.2/org-mode/ox-beame=
r hides /snap/emacs/current/usr/share/emacs/27.2/lisp/org/ox-beamer<br>/hom=
e/omar/.emacs.d/.local/straight/build-27.2/org-mode/ox-ascii hides /snap/em=
acs/current/usr/share/emacs/27.2/lisp/org/ox-ascii<br>/home/omar/.emacs.d/.=
local/straight/build-27.2/org-mode/org hides /snap/emacs/current/usr/share/=
emacs/27.2/lisp/org/org<br>/home/omar/.emacs.d/.local/straight/build-27.2/o=
rg-mode/org-version hides /snap/emacs/current/usr/share/emacs/27.2/lisp/org=
/org-version<br>/home/omar/.emacs.d/.local/straight/build-27.2/org-mode/org=
-timer hides /snap/emacs/current/usr/share/emacs/27.2/lisp/org/org-timer<br=
>/home/omar/.emacs.d/.local/straight/build-27.2/org-mode/org-tempo hides /s=
nap/emacs/current/usr/share/emacs/27.2/lisp/org/org-tempo<br>/home/omar/.em=
acs.d/.local/straight/build-27.2/org-mode/org-table hides /snap/emacs/curre=
nt/usr/share/emacs/27.2/lisp/org/org-table<br>/home/omar/.emacs.d/.local/st=
raight/build-27.2/org-mode/org-src hides /snap/emacs/current/usr/share/emac=
s/27.2/lisp/org/org-src<br>/home/omar/.emacs.d/.local/straight/build-27.2/o=
rg-mode/org-refile hides /snap/emacs/current/usr/share/emacs/27.2/lisp/org/=
org-refile<br>/home/omar/.emacs.d/.local/straight/build-27.2/org-mode/org-p=
rotocol hides /snap/emacs/current/usr/share/emacs/27.2/lisp/org/org-protoco=
l<br>/home/omar/.emacs.d/.local/straight/build-27.2/org-mode/org-plot hides=
 /snap/emacs/current/usr/share/emacs/27.2/lisp/org/org-plot<br>/home/omar/.=
emacs.d/.local/straight/build-27.2/org-mode/org-pcomplete hides /snap/emacs=
/current/usr/share/emacs/27.2/lisp/org/org-pcomplete<br>/home/omar/.emacs.d=
/.local/straight/build-27.2/org-mode/org-num hides /snap/emacs/current/usr/=
share/emacs/27.2/lisp/org/org-num<br>/home/omar/.emacs.d/.local/straight/bu=
ild-27.2/org-mode/org-mouse hides /snap/emacs/current/usr/share/emacs/27.2/=
lisp/org/org-mouse<br>/home/omar/.emacs.d/.local/straight/build-27.2/org-mo=
de/org-mobile hides /snap/emacs/current/usr/share/emacs/27.2/lisp/org/org-m=
obile<br>/home/omar/.emacs.d/.local/straight/build-27.2/org-mode/org-macs h=
ides /snap/emacs/current/usr/share/emacs/27.2/lisp/org/org-macs<br>/home/om=
ar/.emacs.d/.local/straight/build-27.2/org-mode/org-macro hides /snap/emacs=
/current/usr/share/emacs/27.2/lisp/org/org-macro<br>/home/omar/.emacs.d/.lo=
cal/straight/build-27.2/org-mode/org-loaddefs hides /snap/emacs/current/usr=
/share/emacs/27.2/lisp/org/org-loaddefs<br>/home/omar/.emacs.d/.local/strai=
ght/build-27.2/org-mode/org-list hides /snap/emacs/current/usr/share/emacs/=
27.2/lisp/org/org-list<br>/home/omar/.emacs.d/.local/straight/build-27.2/or=
g-mode/org-lint hides /snap/emacs/current/usr/share/emacs/27.2/lisp/org/org=
-lint<br>/home/omar/.emacs.d/.local/straight/build-27.2/org-mode/org-keys h=
ides /snap/emacs/current/usr/share/emacs/27.2/lisp/org/org-keys<br>/home/om=
ar/.emacs.d/.local/straight/build-27.2/org-mode/org-install hides /snap/ema=
cs/current/usr/share/emacs/27.2/lisp/org/org-install<br>/home/omar/.emacs.d=
/.local/straight/build-27.2/org-mode/org-inlinetask hides /snap/emacs/curre=
nt/usr/share/emacs/27.2/lisp/org/org-inlinetask<br>/home/omar/.emacs.d/.loc=
al/straight/build-27.2/org-mode/org-indent hides /snap/emacs/current/usr/sh=
are/emacs/27.2/lisp/org/org-indent<br>/home/omar/.emacs.d/.local/straight/b=
uild-27.2/org-mode/org-id hides /snap/emacs/current/usr/share/emacs/27.2/li=
sp/org/org-id<br>/home/omar/.emacs.d/.local/straight/build-27.2/org-mode/or=
g-habit hides /snap/emacs/current/usr/share/emacs/27.2/lisp/org/org-habit<b=
r>/home/omar/.emacs.d/.local/straight/build-27.2/org-mode/org-goto hides /s=
nap/emacs/current/usr/share/emacs/27.2/lisp/org/org-goto<br>/home/omar/.ema=
cs.d/.local/straight/build-27.2/org-mode/org-footnote hides /snap/emacs/cur=
rent/usr/share/emacs/27.2/lisp/org/org-footnote<br>/home/omar/.emacs.d/.loc=
al/straight/build-27.2/org-mode/org-feed hides /snap/emacs/current/usr/shar=
e/emacs/27.2/lisp/org/org-feed<br>/home/omar/.emacs.d/.local/straight/build=
-27.2/org-mode/org-faces hides /snap/emacs/current/usr/share/emacs/27.2/lis=
p/org/org-faces<br>/home/omar/.emacs.d/.local/straight/build-27.2/org-mode/=
org-entities hides /snap/emacs/current/usr/share/emacs/27.2/lisp/org/org-en=
tities<br>/home/omar/.emacs.d/.local/straight/build-27.2/org-mode/org-eleme=
nt hides /snap/emacs/current/usr/share/emacs/27.2/lisp/org/org-element<br>/=
home/omar/.emacs.d/.local/straight/build-27.2/org-mode/org-duration hides /=
snap/emacs/current/usr/share/emacs/27.2/lisp/org/org-duration<br>/home/omar=
/.emacs.d/.local/straight/build-27.2/org-mode/org-datetree hides /snap/emac=
s/current/usr/share/emacs/27.2/lisp/org/org-datetree<br>/home/omar/.emacs.d=
/.local/straight/build-27.2/org-mode/org-ctags hides /snap/emacs/current/us=
r/share/emacs/27.2/lisp/org/org-ctags<br>/home/omar/.emacs.d/.local/straigh=
t/build-27.2/org-mode/org-crypt hides /snap/emacs/current/usr/share/emacs/2=
7.2/lisp/org/org-crypt<br>/home/omar/.emacs.d/.local/straight/build-27.2/or=
g-mode/org-compat hides /snap/emacs/current/usr/share/emacs/27.2/lisp/org/o=
rg-compat<br>/home/omar/.emacs.d/.local/straight/build-27.2/org-mode/org-co=
lview hides /snap/emacs/current/usr/share/emacs/27.2/lisp/org/org-colview<b=
r>/home/omar/.emacs.d/.local/straight/build-27.2/org-mode/org-clock hides /=
snap/emacs/current/usr/share/emacs/27.2/lisp/org/org-clock<br>/home/omar/.e=
macs.d/.local/straight/build-27.2/org-mode/org-capture hides /snap/emacs/cu=
rrent/usr/share/emacs/27.2/lisp/org/org-capture<br>/home/omar/.emacs.d/.loc=
al/straight/build-27.2/org-mode/org-attach hides /snap/emacs/current/usr/sh=
are/emacs/27.2/lisp/org/org-attach<br>/home/omar/.emacs.d/.local/straight/b=
uild-27.2/org-mode/org-attach-git hides /snap/emacs/current/usr/share/emacs=
/27.2/lisp/org/org-attach-git<br>/home/omar/.emacs.d/.local/straight/build-=
27.2/org-mode/org-archive hides /snap/emacs/current/usr/share/emacs/27.2/li=
sp/org/org-archive<br>/home/omar/.emacs.d/.local/straight/build-27.2/org-mo=
de/org-agenda hides /snap/emacs/current/usr/share/emacs/27.2/lisp/org/org-a=
genda<br>/home/omar/.emacs.d/.local/straight/build-27.2/org-mode/ol hides /=
snap/emacs/current/usr/share/emacs/27.2/lisp/org/ol<br>/home/omar/.emacs.d/=
.local/straight/build-27.2/org-mode/ol-w3m hides /snap/emacs/current/usr/sh=
are/emacs/27.2/lisp/org/ol-w3m<br>/home/omar/.emacs.d/.local/straight/build=
-27.2/org-mode/ol-rmail hides /snap/emacs/current/usr/share/emacs/27.2/lisp=
/org/ol-rmail<br>/home/omar/.emacs.d/.local/straight/build-27.2/org-mode/ol=
-mhe hides /snap/emacs/current/usr/share/emacs/27.2/lisp/org/ol-mhe<br>/hom=
e/omar/.emacs.d/.local/straight/build-27.2/org-mode/ol-irc hides /snap/emac=
s/current/usr/share/emacs/27.2/lisp/org/ol-irc<br>/home/omar/.emacs.d/.loca=
l/straight/build-27.2/org-mode/ol-info hides /snap/emacs/current/usr/share/=
emacs/27.2/lisp/org/ol-info<br>/home/omar/.emacs.d/.local/straight/build-27=
.2/org-mode/ol-gnus hides /snap/emacs/current/usr/share/emacs/27.2/lisp/org=
/ol-gnus<br>/home/omar/.emacs.d/.local/straight/build-27.2/org-mode/ol-eww =
hides /snap/emacs/current/usr/share/emacs/27.2/lisp/org/ol-eww<br>/home/oma=
r/.emacs.d/.local/straight/build-27.2/org-mode/ol-eshell hides /snap/emacs/=
current/usr/share/emacs/27.2/lisp/org/ol-eshell<br>/home/omar/.emacs.d/.loc=
al/straight/build-27.2/org-mode/ol-docview hides /snap/emacs/current/usr/sh=
are/emacs/27.2/lisp/org/ol-docview<br>/home/omar/.emacs.d/.local/straight/b=
uild-27.2/org-mode/ol-bibtex hides /snap/emacs/current/usr/share/emacs/27.2=
/lisp/org/ol-bibtex<br>/home/omar/.emacs.d/.local/straight/build-27.2/org-m=
ode/ol-bbdb hides /snap/emacs/current/usr/share/emacs/27.2/lisp/org/ol-bbdb=
<br>/home/omar/.emacs.d/.local/straight/build-27.2/org-mode/ob hides /snap/=
emacs/current/usr/share/emacs/27.2/lisp/org/ob<br>/home/omar/.emacs.d/.loca=
l/straight/build-27.2/org-mode/ob-vala hides /snap/emacs/current/usr/share/=
emacs/27.2/lisp/org/ob-vala<br>/home/omar/.emacs.d/.local/straight/build-27=
.2/org-mode/ob-tangle hides /snap/emacs/current/usr/share/emacs/27.2/lisp/o=
rg/ob-tangle<br>/home/omar/.emacs.d/.local/straight/build-27.2/org-mode/ob-=
table hides /snap/emacs/current/usr/share/emacs/27.2/lisp/org/ob-table<br>/=
home/omar/.emacs.d/.local/straight/build-27.2/org-mode/ob-stan hides /snap/=
emacs/current/usr/share/emacs/27.2/lisp/org/ob-stan<br>/home/omar/.emacs.d/=
.local/straight/build-27.2/org-mode/ob-sqlite hides /snap/emacs/current/usr=
/share/emacs/27.2/lisp/org/ob-sqlite<br>/home/omar/.emacs.d/.local/straight=
/build-27.2/org-mode/ob-sql hides /snap/emacs/current/usr/share/emacs/27.2/=
lisp/org/ob-sql<br>/home/omar/.emacs.d/.local/straight/build-27.2/org-mode/=
ob-shen hides /snap/emacs/current/usr/share/emacs/27.2/lisp/org/ob-shen<br>=
/home/omar/.emacs.d/.local/straight/build-27.2/org-mode/ob-shell hides /sna=
p/emacs/current/usr/share/emacs/27.2/lisp/org/ob-shell<br>/home/omar/.emacs=
.d/.local/straight/build-27.2/org-mode/ob-sed hides /snap/emacs/current/usr=
/share/emacs/27.2/lisp/org/ob-sed<br>/home/omar/.emacs.d/.local/straight/bu=
ild-27.2/org-mode/ob-screen hides /snap/emacs/current/usr/share/emacs/27.2/=
lisp/org/ob-screen<br>/home/omar/.emacs.d/.local/straight/build-27.2/org-mo=
de/ob-scheme hides /snap/emacs/current/usr/share/emacs/27.2/lisp/org/ob-sch=
eme<br>/home/omar/.emacs.d/.local/straight/build-27.2/org-mode/ob-sass hide=
s /snap/emacs/current/usr/share/emacs/27.2/lisp/org/ob-sass<br>/home/omar/.=
emacs.d/.local/straight/build-27.2/org-mode/ob-ruby hides /snap/emacs/curre=
nt/usr/share/emacs/27.2/lisp/org/ob-ruby<br>/home/omar/.emacs.d/.local/stra=
ight/build-27.2/org-mode/ob-ref hides /snap/emacs/current/usr/share/emacs/2=
7.2/lisp/org/ob-ref<br>/home/omar/.emacs.d/.local/straight/build-27.2/org-m=
ode/ob-python hides /snap/emacs/current/usr/share/emacs/27.2/lisp/org/ob-py=
thon<br>/home/omar/.emacs.d/.local/straight/build-27.2/org-mode/ob-processi=
ng hides /snap/emacs/current/usr/share/emacs/27.2/lisp/org/ob-processing<br=
>/home/omar/.emacs.d/.local/straight/build-27.2/org-mode/ob-plantuml hides =
/snap/emacs/current/usr/share/emacs/27.2/lisp/org/ob-plantuml<br>/home/omar=
/.emacs.d/.local/straight/build-27.2/org-mode/ob-picolisp hides /snap/emacs=
/current/usr/share/emacs/27.2/lisp/org/ob-picolisp<br>/home/omar/.emacs.d/.=
local/straight/build-27.2/org-mode/ob-perl hides /snap/emacs/current/usr/sh=
are/emacs/27.2/lisp/org/ob-perl<br>/home/omar/.emacs.d/.local/straight/buil=
d-27.2/org-mode/ob-org hides /snap/emacs/current/usr/share/emacs/27.2/lisp/=
org/ob-org<br>/home/omar/.emacs.d/.local/straight/build-27.2/org-mode/ob-oc=
tave hides /snap/emacs/current/usr/share/emacs/27.2/lisp/org/ob-octave<br>/=
home/omar/.emacs.d/.local/straight/build-27.2/org-mode/ob-ocaml hides /snap=
/emacs/current/usr/share/emacs/27.2/lisp/org/ob-ocaml<br>/home/omar/.emacs.=
d/.local/straight/build-27.2/org-mode/ob-mscgen hides /snap/emacs/current/u=
sr/share/emacs/27.2/lisp/org/ob-mscgen<br>/home/omar/.emacs.d/.local/straig=
ht/build-27.2/org-mode/ob-maxima hides /snap/emacs/current/usr/share/emacs/=
27.2/lisp/org/ob-maxima<br>/home/omar/.emacs.d/.local/straight/build-27.2/o=
rg-mode/ob-matlab hides /snap/emacs/current/usr/share/emacs/27.2/lisp/org/o=
b-matlab<br>/home/omar/.emacs.d/.local/straight/build-27.2/org-mode/ob-make=
file hides /snap/emacs/current/usr/share/emacs/27.2/lisp/org/ob-makefile<br=
>/home/omar/.emacs.d/.local/straight/build-27.2/org-mode/ob-lua hides /snap=
/emacs/current/usr/share/emacs/27.2/lisp/org/ob-lua<br>/home/omar/.emacs.d/=
.local/straight/build-27.2/org-mode/ob-lob hides /snap/emacs/current/usr/sh=
are/emacs/27.2/lisp/org/ob-lob<br>/home/omar/.emacs.d/.local/straight/build=
-27.2/org-mode/ob-lisp hides /snap/emacs/current/usr/share/emacs/27.2/lisp/=
org/ob-lisp<br>/home/omar/.emacs.d/.local/straight/build-27.2/org-mode/ob-l=
ilypond hides /snap/emacs/current/usr/share/emacs/27.2/lisp/org/ob-lilypond=
<br>/home/omar/.emacs.d/.local/straight/build-27.2/org-mode/ob-ledger hides=
 /snap/emacs/current/usr/share/emacs/27.2/lisp/org/ob-ledger<br>/home/omar/=
.emacs.d/.local/straight/build-27.2/org-mode/ob-latex hides /snap/emacs/cur=
rent/usr/share/emacs/27.2/lisp/org/ob-latex<br>/home/omar/.emacs.d/.local/s=
traight/build-27.2/org-mode/ob-js hides /snap/emacs/current/usr/share/emacs=
/27.2/lisp/org/ob-js<br>/home/omar/.emacs.d/.local/straight/build-27.2/org-=
mode/ob-java hides /snap/emacs/current/usr/share/emacs/27.2/lisp/org/ob-jav=
a<br>/home/omar/.emacs.d/.local/straight/build-27.2/org-mode/ob-io hides /s=
nap/emacs/current/usr/share/emacs/27.2/lisp/org/ob-io<br>/home/omar/.emacs.=
d/.local/straight/build-27.2/org-mode/ob-hledger hides /snap/emacs/current/=
usr/share/emacs/27.2/lisp/org/ob-hledger<br>/home/omar/.emacs.d/.local/stra=
ight/build-27.2/org-mode/ob-haskell hides /snap/emacs/current/usr/share/ema=
cs/27.2/lisp/org/ob-haskell<br>/home/omar/.emacs.d/.local/straight/build-27=
.2/org-mode/ob-groovy hides /snap/emacs/current/usr/share/emacs/27.2/lisp/o=
rg/ob-groovy<br>/home/omar/.emacs.d/.local/straight/build-27.2/org-mode/ob-=
gnuplot hides /snap/emacs/current/usr/share/emacs/27.2/lisp/org/ob-gnuplot<=
br>/home/omar/.emacs.d/.local/straight/build-27.2/org-mode/ob-fortran hides=
 /snap/emacs/current/usr/share/emacs/27.2/lisp/org/ob-fortran<br>/home/omar=
/.emacs.d/.local/straight/build-27.2/org-mode/ob-forth hides /snap/emacs/cu=
rrent/usr/share/emacs/27.2/lisp/org/ob-forth<br>/home/omar/.emacs.d/.local/=
straight/build-27.2/org-mode/ob-exp hides /snap/emacs/current/usr/share/ema=
cs/27.2/lisp/org/ob-exp<br>/home/omar/.emacs.d/.local/straight/build-27.2/o=
rg-mode/ob-eval hides /snap/emacs/current/usr/share/emacs/27.2/lisp/org/ob-=
eval<br>/home/omar/.emacs.d/.local/straight/build-27.2/org-mode/ob-eshell h=
ides /snap/emacs/current/usr/share/emacs/27.2/lisp/org/ob-eshell<br>/home/o=
mar/.emacs.d/.local/straight/build-27.2/org-mode/ob-emacs-lisp hides /snap/=
emacs/current/usr/share/emacs/27.2/lisp/org/ob-emacs-lisp<br>/home/omar/.em=
acs.d/.local/straight/build-27.2/org-mode/ob-ebnf hides /snap/emacs/current=
/usr/share/emacs/27.2/lisp/org/ob-ebnf<br>/home/omar/.emacs.d/.local/straig=
ht/build-27.2/org-mode/ob-dot hides /snap/emacs/current/usr/share/emacs/27.=
2/lisp/org/ob-dot<br>/home/omar/.emacs.d/.local/straight/build-27.2/org-mod=
e/ob-ditaa hides /snap/emacs/current/usr/share/emacs/27.2/lisp/org/ob-ditaa=
<br>/home/omar/.emacs.d/.local/straight/build-27.2/org-mode/ob-css hides /s=
nap/emacs/current/usr/share/emacs/27.2/lisp/org/ob-css<br>/home/omar/.emacs=
.d/.local/straight/build-27.2/org-mode/ob-core hides /snap/emacs/current/us=
r/share/emacs/27.2/lisp/org/ob-core<br>/home/omar/.emacs.d/.local/straight/=
build-27.2/org-mode/ob-coq hides /snap/emacs/current/usr/share/emacs/27.2/l=
isp/org/ob-coq<br>/home/omar/.emacs.d/.local/straight/build-27.2/org-mode/o=
b-comint hides /snap/emacs/current/usr/share/emacs/27.2/lisp/org/ob-comint<=
br>/home/omar/.emacs.d/.local/straight/build-27.2/org-mode/ob-clojure hides=
 /snap/emacs/current/usr/share/emacs/27.2/lisp/org/ob-clojure<br>/home/omar=
/.emacs.d/.local/straight/build-27.2/org-mode/ob-calc hides /snap/emacs/cur=
rent/usr/share/emacs/27.2/lisp/org/ob-calc<br>/home/omar/.emacs.d/.local/st=
raight/build-27.2/org-mode/ob-awk hides /snap/emacs/current/usr/share/emacs=
/27.2/lisp/org/ob-awk<br>/home/omar/.emacs.d/.local/straight/build-27.2/org=
-mode/ob-asymptote hides /snap/emacs/current/usr/share/emacs/27.2/lisp/org/=
ob-asymptote<br>/home/omar/.emacs.d/.local/straight/build-27.2/org-mode/ob-=
abc hides /snap/emacs/current/usr/share/emacs/27.2/lisp/org/ob-abc<br>/home=
/omar/.emacs.d/.local/straight/build-27.2/org-mode/ob-R hides /snap/emacs/c=
urrent/usr/share/emacs/27.2/lisp/org/ob-R<br>/home/omar/.emacs.d/.local/str=
aight/build-27.2/org-mode/ob-J hides /snap/emacs/current/usr/share/emacs/27=
.2/lisp/org/ob-J<br>/home/omar/.emacs.d/.local/straight/build-27.2/org-mode=
/ob-C hides /snap/emacs/current/usr/share/emacs/27.2/lisp/org/ob-C<br>/home=
/omar/.emacs.d/.local/straight/build-27.2/map/map hides /snap/emacs/current=
/usr/share/emacs/27.2/lisp/emacs-lisp/map<br><br>Features:<br>(shadow sort =
mail-extr emacsbug sendmail diary-lib diary-loaddefs<br>cal-iso evil-org-ag=
enda company-ispell company-yasnippet company-dabbrev<br>url-cache org-clip=
link org-cliplink-transport org-cliplink-string<br>em-glob company-shell ev=
il-collection-sh-script sh-script executable<br>pipenv python-el-fgallina-e=
xpansions smartparens-python pyvenv esh-help<br>evil-collection-man man em-=
unix eshell-z em-dirs esh-var<br>evil-collection-eshell em-prompt eshell-di=
d-you-mean esh-mode eshell<br>esh-cmd esh-ext esh-opt esh-proc esh-io esh-a=
rg esh-module esh-groups<br>esh-util evil-collection-python python tramp-sh=
 counsel-projectile<br>mhtml-mode css-mode-expansions css-mode smie evil-co=
llection-eww eww<br>mm-url evil-collection-gnus gnus nnheader url-queue js-=
mode-expansions<br>smartparens-javascript js cc-mode-expansions smartparens=
-c cc-mode<br>cc-fonts cc-guess cc-menus cc-cmds cc-styles cc-align cc-engi=
ne cc-vars<br>cc-defs html-mode-expansions smartparens-html sgml-mode elisp=
-demos<br>flycheck-cask eros aggressive-indent highlight-quoted rainbow-del=
imiters<br>highlight-numbers parent-mode jka-compr hide-mode-line<br>evil-c=
ollection-helpful helpful trace evil-collection-edebug edebug<br>backtrace =
info-look help-fns radix-tree evil-collection-help help<br>evil-collection-=
elisp-refs elisp-refs ibuffer-projectile mule-util<br>evil-traces evil-ex m=
isearch multi-isearch evil-anzu anzu<br>git-gutter-fringe fringe-helper git=
-gutter disp-table whitespace<br>org-eldoc writegood-mode toc-org evil-org =
org-crypt org-superstar<br>lsp-python-ms lsp-mode lsp-protocol spinner netw=
ork-stream inline<br>flycheck-popup-tip evil-collection-popup popup cdlatex=
 adaptive-wrap<br>evil-embrace embrace expand-region text-mode-expansions<b=
r>the-org-mode-expansions latex-mode-expansions er-basic-expansions<br>expa=
nd-region-core expand-region-custom evil-surround evil-tex<br>reftex-dcr re=
ftex-auc evil-collection-reftex reftex-cite reftex-ref<br>reftex-parse reft=
ex reftex-loaddefs reftex-vars xenops xenops-xen<br>xenops-style xenops-uti=
l xenops-src xenops-png xenops-parse<br>xenops-overlay xenops-minted xenops=
-math xenops-math-latex xenops-aio<br>xenops-image xenops-footnote xenops-f=
ont xenops-elements xenops-element<br>xenops-doctor xenops-auctex xenops-av=
y xenops-apply preview aio tex-fold<br>font-latex tex-mode org-fancy-priori=
ties vi-tilde-fringe<br>display-line-numbers spell-fu ispell yankpad org-in=
dent ol-bibtex bibtex<br>char-fold amx vc-hg vc-svn diredfl diff-hl-margin =
diff-hl-dired diff-hl<br>evil-collection-log-view log-view evil-collection-=
vc-dir vc-dir ewoc vc<br>vc-dispatcher all-the-icons-dired dired-aux evil-c=
ollection-indent<br>dired-x nav-flash evil-collection-vc-git vc-git project=
ile ibuffer-vc<br>ibuf-ext evil-collection-ibuffer ibuffer ibuffer-loaddefs=
<br>auto-minor-mode gcmh winner paren ws-butler undo-fu-session undo-fu<br>=
evil-collection-flycheck flycheck saveplace so-long magit-bookmark<br>evil-=
collection-bookmark bookmark cursor-sensor ffap docker-tramp<br>tramp-cache=
 tramp tramp-loaddefs trampver tramp-integration files-x<br>tramp-compat pa=
rse-time iso8601 ls-lisp evil-collection-which-key<br>which-key better-jump=
er ivy-prescient prescient evil-goggles pulse<br>evil-easymotion evil-escap=
e evil-snipe lv doom-snippets<br>doom-snippets-lib yasnippet evil-collectio=
n-elisp-mode elisp-mode<br>savehist recentf tree-widget persistent-soft lis=
t-utils pcache<br>font-utils unicode-fonts format-all dtrt-indent doom-them=
es-ext-treemacs<br>doom-themes-ext-org solaire-mode face-remap doom-one-lig=
ht-theme<br>doom-themes doom-themes-base doom-modeline doom-modeline-segmen=
ts<br>doom-modeline-env doom-modeline-core shrink-path emojify<br>evil-coll=
ection-apropos apropos evil-collection-tar-mode tar-mode<br>evil-collection=
-arc-mode arc-mode archive-mode org-drill persist<br>skeletor bind-key smar=
tparens-latex auctex-latexmk tex-buf latex<br>latex-flymake tex-ispell tex-=
style tex dbus ido-completing-read+ memoize<br>minibuf-eldef ido texmathp o=
x-extra ox-odt rng-loc rng-uri rng-parse<br>rng-match rng-dt rng-util rng-p=
ttrn nxml-parse nxml-ns nxml-enc xmltok<br>nxml-util ox-icalendar ox-ascii =
ox-md ox-beamer ox-latex org-re-reveal<br>ox-html table ox-publish ox scima=
x-inkscape company-box company-box-doc<br>frame-local company-box-icons all=
-the-icons all-the-icons-faces<br>data-material data-weathericons data-octi=
cons data-fileicons<br>data-faicons data-alltheicons dash-functional compan=
y-capf company<br>ess-site ess-toolbar ess-jags-d ess-bugs-d ess-bugs-l ess=
d-els ess-sas-d<br>ess-sas-l ess-sas-a ess-sp6-d use-package-ensure poly-R =
poly-markdown<br>smartparens-config smartparens-markdown smartparens-text s=
martparens-ess<br>smartparens markdown-mode edit-indirect poly-noweb ess-r-=
mode<br>ess-r-flymake evil-collection-flymake flymake-proc flymake warnings=
<br>ess-r-xref ivy-xref evil-collection-ivy ivy-avy avy ivy-rich counsel xd=
g<br>swiper ivy delsel ivy-faces ivy-overlay colir evil-collection-xref xre=
f<br>ess-trns ess-r-package ess-r-completion ess-roxy ess-r-syntax ess-rd<b=
r>hideshow ess-s-lang ess-help evil-collection-info info ess-mode ess-inf<b=
r>ess-tracebug ess ess-utils ess-custom project polymode poly-lock<br>polym=
ode-base polymode-weave polymode-export polymode-compat<br>polymode-methods=
 polymode-core polymode-classes eieio-custom color<br>org-depend org-super-=
agenda ts ht org-habit org-agenda jupyter<br>jupyter-repl jupyter-kernel-ma=
nager jupyter-channel<br>jupyter-widget-client websocket bindat simple-http=
d jupyter-kernelspec<br>jupyter-env jupyter-client jupyter-mime shr svg dom=
 jupyter-comm-layer<br>jupyter-messages hmac-def jupyter-base eieio-base or=
g-download<br>org-attach org-noter orgit evil-collection-magit-todos magit-=
todos<br>pcre2el rxt re-builder hl-todo evil-collection-grep grep<br>evil-c=
ollection-compile compile github-review ghub-graphql treepy gsexp<br>ghub g=
nutls deferred a evil-collection-magit magit-autoloads<br>magit-submodule m=
agit-obsolete magit-popup magit-blame magit-stash<br>magit-reflog magit-bis=
ect magit-push magit-pull magit-fetch magit-clone<br>magit-remote magit-com=
mit magit-sequence magit-notes magit-worktree<br>magit-tag magit-merge magi=
t-branch magit-reset magit-files magit-refs<br>magit-status magit core-pack=
ages package browse-url url-handlers<br>magit-repos magit-apply magit-wip m=
agit-log which-func<br>evil-collection-imenu imenu magit-diff smerge-mode d=
iff<br>evil-collection-diff-mode diff-mode git-commit evil-collection-log-e=
dit<br>log-edit message ranger hl-line evil-collection-dired dired<br>dired=
-loaddefs rfc822 mml mml-sec evil-collection-epa epa epg epg-config<br>gnus=
-util rmail rmail-loaddefs text-property-search mm-decode mm-bodies<br>mm-e=
ncode mailabbrev mail-utils gmm-utils mailheader pcvs-util add-log<br>magit=
-core magit-autorevert autorevert filenotify magit-margin<br>magit-transien=
t magit-process with-editor magit-mode transient help-mode<br>magit-git mag=
it-section magit-utils crm org-roam org-roam-link<br>org-roam-graph xml org=
-roam-doctor org-roam-dailies org-roam-capture<br>org-roam-db emacsql-sqlit=
e3 emacsql emacsql-compiler org-capture<br>org-roam-completion org-roam-buf=
fer org-roam-faces org-roam-macs<br>org-roam-compat f s dash org-id org-ref=
ile smartparens-org org-yt<br>org-element avl-tree generator org ob ob-tang=
le ob-ref ob-lob ob-table<br>ob-exp org-macro org-footnote org-src ob-comin=
t org-pcomplete org-list<br>org-faces org-entities time-date noutline outli=
ne org-version<br>ob-emacs-lisp ob-core ob-eval org-table ol org-keys org-c=
ompat org-macs<br>org-loaddefs format-spec find-func evil-collection-calend=
ar<br>evil-collection-custom cus-edit cus-start cus-load wid-edit<br>evil-c=
ollection-comint evil-collection annalist cal-menu calendar<br>cal-loaddefs=
 url-http url url-proxy url-privacy url-expand url-methods<br>url-history m=
ailcap url-auth mail-parse rfc2231 rfc2047 rfc2045 mm-util<br>ietf-drums ma=
il-prsvr url-cookie url-domsuf url-util url-gw nsm rmc puny<br>url-parse au=
th-source eieio eieio-core eieio-loaddefs password-cache<br>json map url-va=
rs async server persp-mode let-alist ibuf-macs evil<br>evil-integration evi=
l-maps evil-commands reveal flyspell evil-jumps<br>evil-command-window evil=
-types evil-search shell pcomplete comint<br>ansi-color evil-macros evil-re=
peat evil-states evil-core advice<br>evil-common windmove calc calc-loaddef=
s calc-macs thingatpt rect<br>evil-digraphs evil-vars ring derived edmacro =
kmacro core-editor<br>core-projects core-ui easy-mmode core-keybinds pp gen=
eral cl-extra<br>easymenu seq byte-opt cl-seq use-package-core bytecomp byt=
e-compile<br>cconv core-modules tex-site rx realgud-recursive-autoloads cl =
core<br>core-lib pcase cl-macs gv cl-loaddefs cl-lib subr-x tooltip eldoc<b=
r>electric uniquify ediff-hook vc-hooks lisp-float-type mwheel term/x-win<b=
r>x-win term/common-win x-dnd tool-bar dnd fontset image regexp-opt fringe<=
br>tabulated-list replace newcomment text-mode lisp-mode prog-mode register=
<br>page tab-bar menu-bar rfn-eshadow isearch timer select scroll-bar mouse=
<br>jit-lock font-lock syntax facemenu font-core term/tty-colors frame<br>m=
inibuffer cl-generic cham georgian utf-8-lang misc-lang vietnamese<br>tibet=
an thai tai-viet lao korean japanese eucjp-ms cp51932 hebrew greek<br>roman=
ian slovak czech european ethiopic indian cyrillic chinese<br>composite cha=
rscript charprop case-table epa-hook jka-cmpr-hook simple<br>abbrev obarray=
 cl-preloaded nadvice loaddefs button faces cus-face<br>macroexp files text=
-properties overlay sha1 md5 base64 format env<br>code-pages mule custom wi=
dget hashtable-print-readable backquote threads<br>dbusbind inotify lcms2 d=
ynamic-setting system-font-setting<br>font-render-setting cairo move-toolba=
r gtk x-toolkit x multi-tty<br>make-network-process emacs)<br><br>Memory in=
formation:<br>((conses 16 1582994 334941)<br>=C2=A0(symbols 48 80737 2)<br>=
=C2=A0(strings 32 482313 71998)<br>=C2=A0(string-bytes 1 11481747)<br>=C2=
=A0(vectors 16 158187)<br>=C2=A0(vector-slots 8 5306391 286442)<br>=C2=A0(f=
loats 8 5940 1841)<br>=C2=A0(intervals 56 8967 5405)<br>=C2=A0(buffers 1000=
 212))<br></div>

--0000000000009f345905c62facc6--




Acknowledgement sent to Omar Elashkar <omar.i.elashkar@HIDDEN>:
New bug report received and forwarded. Copy sent to bug-gnu-emacs@HIDDEN. Full text available.
Report forwarded to bug-gnu-emacs@HIDDEN:
bug#49347; Package emacs. Full text available.
Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.
Last modified: Sun, 4 Jul 2021 14:15:02 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.